Package com.microsoft.sqlserver.jdbc

## Class SQLServerResultSet

- java.lang.Object
- - com.microsoft.sqlserver.jdbc.SQLServerResultSet

All Implemented Interfaces:
  `ISQLServerResultSet`, `java.io.Serializable`, `java.lang.AutoCloseable`, `java.sql.ResultSet`, `java.sql.Wrapper`

    public class SQLServerResultSet
    extends java.lang.Object
    implements ISQLServerResultSet, java.io.Serializable

Defines the Top-level JDBC ResultSet implementation.

See Also:
  Serialized Form

### Field Summary

Fields
`protected static java.util.logging.Logger` `loggerExternal`

### Fields inherited from interface com.microsoft.sqlserver.jdbc.ISQLServerResultSet

`CONCUR_SS_OPTIMISTIC_CC, CONCUR_SS_OPTIMISTIC_CCVAL, CONCUR_SS_SCROLL_LOCKS, TYPE_SS_DIRECT_FORWARD_ONLY, TYPE_SS_SCROLL_DYNAMIC, TYPE_SS_SCROLL_KEYSET, TYPE_SS_SCROLL_STATIC, TYPE_SS_SERVER_CURSOR_FORWARD_ONLY`

### Fields inherited from interface java.sql.ResultSet

`CLOSE_CURSORS_AT_COMMIT, CONCUR_READ_ONLY, CONCUR_UPDATABLE, FETCH_FORWARD, FETCH_REVERSE, FETCH_UNKNOWN, HOLD_CURSORS_OVER_COMMIT, TYPE_FORWARD_ONLY, TYPE_SCROLL_INSENSITIVE, TYPE_SCROLL_SENSITIVE`

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`boolean` `absolute​(int row)` Moves the cursor to the given row number in this `ResultSet` object.
`void` `afterLast()`
`void` `beforeFirst()`
`void` `cancelRowUpdates()`
`void` `clearWarnings()` Clears result set warnings.
`void` `close()`
`void` `deleteRow()`
`int` `findColumn​(java.lang.String columnName)` Finds a column index given a column name.
`boolean` `first()` Moves the cursor to the first row in this `ResultSet` object.
`java.sql.Array` `getArray​(int i)`
`java.sql.Array` `getArray​(java.lang.String colName)`
`java.io.InputStream` `getAsciiStream​(int columnIndex)`
`java.io.InputStream` `getAsciiStream​(java.lang.String columnName)`
`java.math.BigDecimal` `getBigDecimal​(int columnIndex)`
`java.math.BigDecimal` `getBigDecimal​(int columnIndex, int scale)` Deprecated.
`java.math.BigDecimal` `getBigDecimal​(java.lang.String columnName)`
`java.math.BigDecimal` `getBigDecimal​(java.lang.String columnName, int scale)` Deprecated.
`java.io.InputStream` `getBinaryStream​(int columnIndex)`
`java.io.InputStream` `getBinaryStream​(java.lang.String columnName)`
`java.sql.Blob` `getBlob​(int i)`
`java.sql.Blob` `getBlob​(java.lang.String colName)`
`boolean` `getBoolean​(int columnIndex)`
`boolean` `getBoolean​(java.lang.String columnName)`
`byte` `getByte​(int columnIndex)`
`byte` `getByte​(java.lang.String columnName)`
`byte[]` `getBytes​(int columnIndex)`
`byte[]` `getBytes​(java.lang.String columnName)`
`java.io.Reader` `getCharacterStream​(int columnIndex)`
`java.io.Reader` `getCharacterStream​(java.lang.String columnName)`
`java.sql.Clob` `getClob​(int columnIndex)`
`java.sql.Clob` `getClob​(java.lang.String colName)`
`int` `getConcurrency()`
`java.lang.String` `getCursorName()`
`java.sql.Date` `getDate​(int columnIndex)`
`java.sql.Date` `getDate​(int columnIndex, java.util.Calendar cal)`
`java.sql.Date` `getDate​(java.lang.String columnName)`
`java.sql.Date` `getDate​(java.lang.String colName, java.util.Calendar cal)`
`java.sql.Timestamp` `getDateTime​(int columnIndex)` Returns the value of the designated column in the current row of this ResultSet object as a java.sql.Timestamp object in the Java programming language.
`java.sql.Timestamp` `getDateTime​(int columnIndex, java.util.Calendar cal)` Returns the value of the designated column in the current row of this ResultSet object as a java.sql.Timestamp object in the Java programming language.
`java.sql.Timestamp` `getDateTime​(java.lang.String columnName)` Returns the value of the designated column in the current row of this ResultSet object as a java.sql.Timestamp object in the Java programming language.
`java.sql.Timestamp` `getDateTime​(java.lang.String colName, java.util.Calendar cal)` Returns the value of the designated column in the current row of this ResultSet object as a java.sql.Timestamp object in the Java programming language.
`DateTimeOffset` `getDateTimeOffset​(int columnIndex)` Returns the value of the designated column as a microsoft.sql.DateTimeOffset object, given a zero-based column ordinal.
`DateTimeOffset` `getDateTimeOffset​(java.lang.String columnName)` Returns the value of the column specified as a microsoft.sql.DateTimeOffset object, given a column name.
`double` `getDouble​(int columnIndex)`
`double` `getDouble​(java.lang.String columnName)`
`int` `getFetchDirection()`
`int` `getFetchSize()`
`float` `getFloat​(int columnIndex)`
`float` `getFloat​(java.lang.String columnName)`
`Geography` `getGeography​(int columnIndex)` Returns the value of the designated column in the current row of this ResultSet object as a com.microsoft.sqlserver.jdbc.Geography object in the Java programming language.
`Geography` `getGeography​(java.lang.String columnName)` Returns the value of the designated column in the current row of this ResultSet object as a com.microsoft.sqlserver.jdbc.Geography object in the Java programming language.
`Geometry` `getGeometry​(int columnIndex)` Returns the value of the designated column in the current row of this ResultSet object as a com.microsoft.sqlserver.jdbc.Geometry object in the Java programming language.
`Geometry` `getGeometry​(java.lang.String columnName)` Returns the value of the designated column in the current row of this ResultSet object as a com.microsoft.sqlserver.jdbc.Geometry object in the Java programming language.
`int` `getHoldability()`
`int` `getInt​(int columnIndex)`
`int` `getInt​(java.lang.String columnName)`
`long` `getLong​(int columnIndex)`
`long` `getLong​(java.lang.String columnName)`
`java.sql.ResultSetMetaData` `getMetaData()`
`java.math.BigDecimal` `getMoney​(int columnIndex)` Returns the value of the column specified as a java.math.BigDecimal object.
`java.math.BigDecimal` `getMoney​(java.lang.String columnName)` Returns the value of the column specified as a java.math.BigDecimal object.
`java.io.Reader` `getNCharacterStream​(int columnIndex)`
`java.io.Reader` `getNCharacterStream​(java.lang.String columnLabel)`
`java.sql.NClob` `getNClob​(int columnIndex)`
`java.sql.NClob` `getNClob​(java.lang.String columnLabel)`
`java.lang.String` `getNString​(int columnIndex)`
`java.lang.String` `getNString​(java.lang.String columnLabel)`
`java.lang.Object` `getObject​(int columnIndex)`
`<T> T` `getObject​(int columnIndex, java.lang.Class<T> type)`
`java.lang.Object` `getObject​(int i, java.util.Map<java.lang.String,java.lang.Class<?>> map)`
`java.lang.Object` `getObject​(java.lang.String columnName)`
`<T> T` `getObject​(java.lang.String columnName, java.lang.Class<T> type)`
`java.lang.Object` `getObject​(java.lang.String colName, java.util.Map<java.lang.String,java.lang.Class<?>> map)`
`java.sql.Ref` `getRef​(int i)`
`java.sql.Ref` `getRef​(java.lang.String colName)`
`int` `getRow()`
`java.sql.RowId` `getRowId​(int columnIndex)`
`java.sql.RowId` `getRowId​(java.lang.String columnLabel)`
`SensitivityClassification` `getSensitivityClassification()` Returns the Data Classification information for the current ResultSet For SQL Servers that do not support Data Classification or results that do not fetch any classified columns, this data can be null.
`protected int` `getServerCursorId()`
`short` `getShort​(int columnIndex)`
`short` `getShort​(java.lang.String columnName)`
`java.sql.Timestamp` `getSmallDateTime​(int columnIndex)` Returns the value of the designated column in the current row of this ResultSet object as a java.sql.Timestamp object in the Java programming language.
`java.sql.Timestamp` `getSmallDateTime​(int columnIndex, java.util.Calendar cal)` Returns the value of the designated column in the current row of this ResultSet object as a java.sql.Timestamp object in the Java programming language.
`java.sql.Timestamp` `getSmallDateTime​(java.lang.String columnName)` Returns the value of the designated column in the current row of this ResultSet object as a java.sql.Timestamp object in the Java programming language.
`java.sql.Timestamp` `getSmallDateTime​(java.lang.String colName, java.util.Calendar cal)` Returns the value of the designated column in the current row of this ResultSet object as a java.sql.Timestamp object in the Java programming language.
`java.math.BigDecimal` `getSmallMoney​(int columnIndex)` Returns the value of the column specified as a java.math.BigDecimal object.
`java.math.BigDecimal` `getSmallMoney​(java.lang.String columnName)` Returns the value of the column specified as a java.math.BigDecimal object.
`java.sql.SQLXML` `getSQLXML​(int columnIndex)`
`java.sql.SQLXML` `getSQLXML​(java.lang.String columnLabel)`
`java.sql.Statement` `getStatement()`
`java.lang.String` `getString​(int columnIndex)`
`java.lang.String` `getString​(java.lang.String columnName)`
`protected com.microsoft.sqlserver.jdbc.TDSReader` `getTDSReader()`
`java.sql.Time` `getTime​(int columnIndex)`
`java.sql.Time` `getTime​(int columnIndex, java.util.Calendar cal)`
`java.sql.Time` `getTime​(java.lang.String columnName)`
`java.sql.Time` `getTime​(java.lang.String colName, java.util.Calendar cal)`
`java.sql.Timestamp` `getTimestamp​(int columnIndex)`
`java.sql.Timestamp` `getTimestamp​(int columnIndex, java.util.Calendar cal)`
`java.sql.Timestamp` `getTimestamp​(java.lang.String columnName)`
`java.sql.Timestamp` `getTimestamp​(java.lang.String colName, java.util.Calendar cal)`
`int` `getType()`
`java.io.InputStream` `getUnicodeStream​(int columnIndex)` Deprecated.
`java.io.InputStream` `getUnicodeStream​(java.lang.String columnName)` Deprecated.
`java.lang.String` `getUniqueIdentifier​(int columnIndex)` Returns the value of the designated column in the current row of this ResultSet object as a String object in the Java programming language.
`java.lang.String` `getUniqueIdentifier​(java.lang.String columnLabel)` Returns the value of the designated column in the current row of this ResultSet object as a String object in the Java programming language.
`java.net.URL` `getURL​(int columnIndex)`
`java.net.URL` `getURL​(java.lang.String sColumn)`
`java.sql.SQLWarning` `getWarnings()`
`void` `insertRow()`
`boolean` `isAfterLast()`
`boolean` `isBeforeFirst()` Returns if the cursor is before the first row in this result set.
`boolean` `isClosed()`
`boolean` `isFirst()` Returns whether the cursor is on the first row of this `ResultSet` object.
`protected boolean` `isForwardOnly()`
`boolean` `isLast()` Returns whether the cursor is on the last row of this `ResultSet` object.
`boolean` `isWrapperFor​(java.lang.Class<?> iface)`
`boolean` `last()` Moves the cursor to the last row in this `ResultSet` object.
`void` `moveToCurrentRow()`
`void` `moveToInsertRow()`
`boolean` `next()` Moves the cursor to the first row of this ResultSet object initially, then subsequent calls move the cursor to the second row, the third row, and so on.
`boolean` `previous()` Moves the cursor to the previous row in this `ResultSet` object.
`void` `refreshRow()`
`boolean` `relative​(int rows)`
`boolean` `rowDeleted()`
`boolean` `rowInserted()`
`boolean` `rowUpdated()`
`void` `setFetchDirection​(int direction)`
`void` `setFetchSize​(int rows)`
`java.lang.String` `toString()`
`<T> T` `unwrap​(java.lang.Class<T> iface)`
`void` `updateArray​(int columnIndex, java.sql.Array x)`
`void` `updateArray​(java.lang.String columnName, java.sql.Array x)`
`void` `updateAsciiStream​(int columnIndex, java.io.InputStream x)`
`void` `updateAsciiStream​(int index, java.io.InputStream x, int length)`
`void` `updateAsciiStream​(int columnIndex, java.io.InputStream x, long length)`
`void` `updateAsciiStream​(java.lang.String columnLabel, java.io.InputStream x)`
`void` `updateAsciiStream​(java.lang.String columnName, java.io.InputStream x, int length)`
`void` `updateAsciiStream​(java.lang.String columnName, java.io.InputStream streamValue, long length)`
`void` `updateBigDecimal​(int index, java.math.BigDecimal x)`
`void` `updateBigDecimal​(int index, java.math.BigDecimal x, java.lang.Integer precision, java.lang.Integer scale)` Updates the designated column with a `java.math.BigDecimal` value.
`void` `updateBigDecimal​(int index, java.math.BigDecimal x, java.lang.Integer precision, java.lang.Integer scale, boolean forceEncrypt)` Updates the designated column with a `java.math.BigDecimal` value.
`void` `updateBigDecimal​(java.lang.String columnName, java.math.BigDecimal x)`
`void` `updateBigDecimal​(java.lang.String columnName, java.math.BigDecimal x, boolean forceEncrypt)` Updates the designated column with a `java.sql.BigDecimal` value.
`void` `updateBigDecimal​(java.lang.String columnName, java.math.BigDecimal x, java.lang.Integer precision, java.lang.Integer scale)` Updates the designated column with a `java.sql.BigDecimal` value.
`void` `updateBigDecimal​(java.lang.String columnName, java.math.BigDecimal x, java.lang.Integer precision, java.lang.Integer scale, boolean forceEncrypt)` Updates the designated column with a `java.sql.BigDecimal` value.
`void` `updateBinaryStream​(int columnIndex, java.io.InputStream x)`
`void` `updateBinaryStream​(int columnIndex, java.io.InputStream streamValue, int length)`
`void` `updateBinaryStream​(int columnIndex, java.io.InputStream x, long length)`
`void` `updateBinaryStream​(java.lang.String columnLabel, java.io.InputStream x)`
`void` `updateBinaryStream​(java.lang.String columnName, java.io.InputStream streamValue, int length)`
`void` `updateBinaryStream​(java.lang.String columnLabel, java.io.InputStream x, long length)`
`void` `updateBlob​(int columnIndex, java.io.InputStream inputStream)`
`void` `updateBlob​(int columnIndex, java.io.InputStream inputStream, long length)`
`void` `updateBlob​(int columnIndex, java.sql.Blob blobValue)`
`void` `updateBlob​(java.lang.String columnLabel, java.io.InputStream inputStream)`
`void` `updateBlob​(java.lang.String columnLabel, java.io.InputStream inputStream, long length)`
`void` `updateBlob​(java.lang.String columnName, java.sql.Blob blobValue)`
`void` `updateBoolean​(int index, boolean x)`
`void` `updateBoolean​(int index, boolean x, boolean forceEncrypt)` Updates the designated column with a `boolean` value.
`void` `updateBoolean​(java.lang.String columnName, boolean x)`
`void` `updateBoolean​(java.lang.String columnName, boolean x, boolean forceEncrypt)` Updates the designated column with a `boolean` value.
`void` `updateByte​(int index, byte x)`
`void` `updateByte​(int index, byte x, boolean forceEncrypt)` Updates the designated column with a `byte` value.
`void` `updateByte​(java.lang.String columnName, byte x)`
`void` `updateByte​(java.lang.String columnName, byte x, boolean forceEncrypt)` Updates the designated column with a `byte` value.
`void` `updateBytes​(int index, byte[] x)`
`void` `updateBytes​(int index, byte[] x, boolean forceEncrypt)` Updates the designated column with a `byte` array value.
`void` `updateBytes​(java.lang.String columnName, byte[] x)`
`void` `updateBytes​(java.lang.String columnName, byte[] x, boolean forceEncrypt)` Updates the designated column with a byte array value.
`void` `updateCharacterStream​(int columnIndex, java.io.Reader x)`
`void` `updateCharacterStream​(int columnIndex, java.io.Reader readerValue, int length)`
`void` `updateCharacterStream​(int columnIndex, java.io.Reader x, long length)`
`void` `updateCharacterStream​(java.lang.String columnLabel, java.io.Reader reader)`
`void` `updateCharacterStream​(java.lang.String columnName, java.io.Reader readerValue, int length)`
`void` `updateCharacterStream​(java.lang.String columnLabel, java.io.Reader reader, long length)`
`void` `updateClob​(int columnIndex, java.io.Reader reader)`
`void` `updateClob​(int columnIndex, java.io.Reader reader, long length)`
`void` `updateClob​(int columnIndex, java.sql.Clob clobValue)`
`void` `updateClob​(java.lang.String columnLabel, java.io.Reader reader)`
`void` `updateClob​(java.lang.String columnLabel, java.io.Reader reader, long length)`
`void` `updateClob​(java.lang.String columnName, java.sql.Clob clobValue)`
`void` `updateDate​(int index, java.sql.Date x)`
`void` `updateDate​(int index, java.sql.Date x, boolean forceEncrypt)` Updates the designated column with a `java.sql.Date` value.
`void` `updateDate​(java.lang.String columnName, java.sql.Date x)`
`void` `updateDate​(java.lang.String columnName, java.sql.Date x, boolean forceEncrypt)` Updates the designated column with a `java.sql.Date` value.
`void` `updateDateTime​(int index, java.sql.Timestamp x)` Updates the designated column with a `java.sql.Timestamp` value.
`void` `updateDateTime​(int index, java.sql.Timestamp x, java.lang.Integer scale)` Updates the designated column with a `java.sql.Timestamp` value.
`void` `updateDateTime​(int index, java.sql.Timestamp x, java.lang.Integer scale, boolean forceEncrypt)` Updates the designated column with a `java.sql.Timestamp` value.
`void` `updateDateTime​(java.lang.String columnName, java.sql.Timestamp x)` Updates the designated column with a `java.sql.Timestamp` value.
`void` `updateDateTime​(java.lang.String columnName, java.sql.Timestamp x, int scale)` Updates the designated column with a `java.sql.Timestamp` value.
`void` `updateDateTime​(java.lang.String columnName, java.sql.Timestamp x, int scale, boolean forceEncrypt)` Updates the designated column with a `java.sql.Timestamp` value.
`void` `updateDateTimeOffset​(int index, DateTimeOffset x)` Updates the value of the column specified to the DateTimeOffset Class value, given a zero-based column ordinal.
`void` `updateDateTimeOffset​(int index, DateTimeOffset x, java.lang.Integer scale)` Updates the value of the column specified to the DateTimeOffset Class value, given a zero-based column ordinal.
`void` `updateDateTimeOffset​(int index, DateTimeOffset x, java.lang.Integer scale, boolean forceEncrypt)` Updates the value of the column specified to the DateTimeOffset Class value, given a zero-based column ordinal.
`void` `updateDateTimeOffset​(java.lang.String columnName, DateTimeOffset x)` Updates the value of the column specified to the DateTimeOffset Class value, given a column name.
`void` `updateDateTimeOffset​(java.lang.String columnName, DateTimeOffset x, int scale)` Updates the value of the column specified to the DateTimeOffset Class value, given a column name.
`void` `updateDateTimeOffset​(java.lang.String columnName, DateTimeOffset x, int scale, boolean forceEncrypt)` Updates the value of the column specified to the DateTimeOffset Class value, given a column name.
`void` `updateDouble​(int index, double x)`
`void` `updateDouble​(int index, double x, boolean forceEncrypt)` Updates the designated column with a `double` value.
`void` `updateDouble​(java.lang.String columnName, double x)`
`void` `updateDouble​(java.lang.String columnName, double x, boolean forceEncrypt)` Updates the designated column with a `double` value.
`void` `updateFloat​(int index, float x)`
`void` `updateFloat​(int index, float x, boolean forceEncrypt)` Updates the designated column with a `float` value.
`void` `updateFloat​(java.lang.String columnName, float x)`
`void` `updateFloat​(java.lang.String columnName, float x, boolean forceEncrypt)` Updates the designated column with a `float` value.
`void` `updateInt​(int index, int x)`
`void` `updateInt​(int index, int x, boolean forceEncrypt)` Updates the designated column with an `int` value.
`void` `updateInt​(java.lang.String columnName, int x)`
`void` `updateInt​(java.lang.String columnName, int x, boolean forceEncrypt)` Updates the designated column with an `int` value.
`void` `updateLong​(int index, long x)`
`void` `updateLong​(int index, long x, boolean forceEncrypt)` Updates the designated column with a `long` value.
`void` `updateLong​(java.lang.String columnName, long x)`
`void` `updateLong​(java.lang.String columnName, long x, boolean forceEncrypt)` Updates the designated column with a `long` value.
`void` `updateMoney​(int index, java.math.BigDecimal x)` Updates the designated column with a `money` value.
`void` `updateMoney​(int index, java.math.BigDecimal x, boolean forceEncrypt)` Updates the designated column with a `money` value.
`void` `updateMoney​(java.lang.String columnName, java.math.BigDecimal x)` Updates the designated column with a `money` value.
`void` `updateMoney​(java.lang.String columnName, java.math.BigDecimal x, boolean forceEncrypt)` Updates the designated column with a `money` value.
`void` `updateNCharacterStream​(int columnIndex, java.io.Reader x)`
`void` `updateNCharacterStream​(int columnIndex, java.io.Reader x, long length)`
`void` `updateNCharacterStream​(java.lang.String columnLabel, java.io.Reader reader)`
`void` `updateNCharacterStream​(java.lang.String columnLabel, java.io.Reader reader, long length)`
`void` `updateNClob​(int columnIndex, java.io.Reader reader)`
`void` `updateNClob​(int columnIndex, java.io.Reader reader, long length)`
`void` `updateNClob​(int columnIndex, java.sql.NClob nClob)`
`void` `updateNClob​(java.lang.String columnLabel, java.io.Reader reader)`
`void` `updateNClob​(java.lang.String columnLabel, java.io.Reader reader, long length)`
`void` `updateNClob​(java.lang.String columnLabel, java.sql.NClob nClob)`
`void` `updateNString​(int columnIndex, java.lang.String nString)`
`void` `updateNString​(int columnIndex, java.lang.String nString, boolean forceEncrypt)` Updates the designated column with a `String` value.
`void` `updateNString​(java.lang.String columnLabel, java.lang.String nString)`
`void` `updateNString​(java.lang.String columnLabel, java.lang.String nString, boolean forceEncrypt)` Updates the designated column with a `String` value.
`void` `updateNull​(int index)`
`void` `updateNull​(java.lang.String columnName)`
`void` `updateObject​(int index, java.lang.Object obj)`
`void` `updateObject​(int index, java.lang.Object x, int scale)`
`void` `updateObject​(int index, java.lang.Object x, int precision, int scale)` Updates the designated column with an `Object` value.
`void` `updateObject​(int index, java.lang.Object x, int precision, int scale, boolean forceEncrypt)` Updates the designated column with an `Object` value.
`protected void` `updateObject​(int index, java.lang.Object x, java.lang.Integer scale, com.microsoft.sqlserver.jdbc.JDBCType jdbcType, java.lang.Integer precision, boolean forceEncrypt)`
`void` `updateObject​(int index, java.lang.Object obj, java.sql.SQLType targetSqlType)`
`void` `updateObject​(int index, java.lang.Object obj, java.sql.SQLType targetSqlType, int scale)`
`void` `updateObject​(int index, java.lang.Object obj, java.sql.SQLType targetSqlType, int scale, boolean forceEncrypt)` Updates the designated column with an Object value.
`void` `updateObject​(java.lang.String columnName, java.lang.Object x)`
`void` `updateObject​(java.lang.String columnName, java.lang.Object x, int scale)`
`void` `updateObject​(java.lang.String columnName, java.lang.Object x, int precision, int scale)` Updates the designated column with an `Object` value.
`void` `updateObject​(java.lang.String columnName, java.lang.Object x, int precision, int scale, boolean forceEncrypt)` Updates the designated column with an `Object` value.
`void` `updateObject​(java.lang.String columnName, java.lang.Object obj, java.sql.SQLType targetSqlType)`
`void` `updateObject​(java.lang.String columnName, java.lang.Object obj, java.sql.SQLType targetSqlType, int scale)`
`void` `updateObject​(java.lang.String columnName, java.lang.Object obj, java.sql.SQLType targetSqlType, int scale, boolean forceEncrypt)` Updates the designated column with an Object value.
`void` `updateRef​(int columnIndex, java.sql.Ref x)`
`void` `updateRef​(java.lang.String columnName, java.sql.Ref x)`
`void` `updateRow()`
`void` `updateRowId​(int columnIndex, java.sql.RowId x)`
`void` `updateRowId​(java.lang.String columnLabel, java.sql.RowId x)`
`void` `updateShort​(int index, short x)`
`void` `updateShort​(int index, short x, boolean forceEncrypt)` Updates the designated column with a `short` value.
`void` `updateShort​(java.lang.String columnName, short x)`
`void` `updateShort​(java.lang.String columnName, short x, boolean forceEncrypt)` Updates the designated column with a `short` value.
`void` `updateSmallDateTime​(int index, java.sql.Timestamp x)` Updates the designated column with a `java.sql.Timestamp` value.
`void` `updateSmallDateTime​(int index, java.sql.Timestamp x, java.lang.Integer scale)` Updates the designated column with a `java.sql.Timestamp` value.
`void` `updateSmallDateTime​(int index, java.sql.Timestamp x, java.lang.Integer scale, boolean forceEncrypt)` Updates the designated column with a `java.sql.Timestamp` value.
`void` `updateSmallDateTime​(java.lang.String columnName, java.sql.Timestamp x)` Updates the designated column with a `java.sql.Timestamp` value.
`void` `updateSmallDateTime​(java.lang.String columnName, java.sql.Timestamp x, int scale)` Updates the designated column with a `java.sql.Timestamp` value.
`void` `updateSmallDateTime​(java.lang.String columnName, java.sql.Timestamp x, int scale, boolean forceEncrypt)` Updates the designated column with a `java.sql.Timestamp` value.
`void` `updateSmallMoney​(int index, java.math.BigDecimal x)` Updates the designated column with a `smallmoney` value.
`void` `updateSmallMoney​(int index, java.math.BigDecimal x, boolean forceEncrypt)` Updates the designated column with a `smallmoney` value.
`void` `updateSmallMoney​(java.lang.String columnName, java.math.BigDecimal x)` Updates the designated column with a `smallmoney` value.
`void` `updateSmallMoney​(java.lang.String columnName, java.math.BigDecimal x, boolean forceEncrypt)` Updates the designated column with a `smallmoney` value.
`void` `updateSQLXML​(int columnIndex, java.sql.SQLXML xmlObject)`
`void` `updateSQLXML​(java.lang.String columnLabel, java.sql.SQLXML x)`
`void` `updateString​(int columnIndex, java.lang.String stringValue)`
`void` `updateString​(int columnIndex, java.lang.String stringValue, boolean forceEncrypt)` Updates the designated column with a `String` value.
`void` `updateString​(java.lang.String columnName, java.lang.String x)`
`void` `updateString​(java.lang.String columnName, java.lang.String x, boolean forceEncrypt)` Updates the designated column with a `String` value.
`void` `updateTime​(int index, java.sql.Time x)`
`void` `updateTime​(int index, java.sql.Time x, java.lang.Integer scale)` Updates the designated column with a `java.sql.Time` value.
`void` `updateTime​(int index, java.sql.Time x, java.lang.Integer scale, boolean forceEncrypt)` Updates the designated column with a `java.sql.Time` value.
`void` `updateTime​(java.lang.String columnName, java.sql.Time x)`
`void` `updateTime​(java.lang.String columnName, java.sql.Time x, int scale)` Updates the designated column with a `java.sql.Time` value.
`void` `updateTime​(java.lang.String columnName, java.sql.Time x, int scale, boolean forceEncrypt)` Updates the designated column with a `java.sql.Time` value.
`void` `updateTimestamp​(int index, java.sql.Timestamp x)`
`void` `updateTimestamp​(int index, java.sql.Timestamp x, int scale)` Updates the designated column with a `java.sql.Timestamp` value.
`void` `updateTimestamp​(int index, java.sql.Timestamp x, int scale, boolean forceEncrypt)` Updates the designated column with a `java.sql.Timestamp` value.
`void` `updateTimestamp​(java.lang.String columnName, java.sql.Timestamp x)`
`void` `updateTimestamp​(java.lang.String columnName, java.sql.Timestamp x, int scale)` Updates the designated column with a `java.sql.Timestamp` value.
`void` `updateTimestamp​(java.lang.String columnName, java.sql.Timestamp x, int scale, boolean forceEncrypt)` Updates the designated column with a `java.sql.Timestamp` value.
`void` `updateUniqueIdentifier​(int index, java.lang.String x)` Updates the designated column with a `String` value.
`void` `updateUniqueIdentifier​(int index, java.lang.String x, boolean forceEncrypt)` Updates the designated column with a `String` value.
`void` `updateUniqueIdentifier​(java.lang.String columnName, java.lang.String x)` Updates the designated column with a `String`value.
`void` `updateUniqueIdentifier​(java.lang.String columnName, java.lang.String x, boolean forceEncrypt)` Updates the designated column with a `String`value.
`boolean` `wasNull()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### loggerExternal

    protected static final java.util.logging.Logger loggerExternal

### Method Detail

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`

#### getServerCursorId

    protected int getServerCursorId()

#### getTDSReader

    protected com.microsoft.sqlserver.jdbc.TDSReader getTDSReader()

#### getSensitivityClassification

    public SensitivityClassification getSensitivityClassification()

Description copied from interface: `ISQLServerResultSet`
Returns the Data Classification information for the current ResultSet For SQL Servers that do not support Data Classification or results that do not fetch any classified columns, this data can be null.

Specified by:
  `getSensitivityClassification` in interface `ISQLServerResultSet`
Returns:
  SensitivityClassification

#### isWrapperFor

    public boolean isWrapperFor​(java.lang.Class<?> iface)
                         throws java.sql.SQLException

Specified by:
  `isWrapperFor` in interface `java.sql.Wrapper`
Throws:
  `java.sql.SQLException`

#### unwrap

    public <T> T unwrap​(java.lang.Class<T> iface)
                 throws java.sql.SQLException

Specified by:
  `unwrap` in interface `java.sql.Wrapper`
Throws:
  `java.sql.SQLException`

#### isClosed

    public boolean isClosed()
                     throws java.sql.SQLException

Specified by:
  `isClosed` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### isForwardOnly

    protected boolean isForwardOnly()

#### close

    public void close()
               throws SQLServerException

Specified by:
  `close` in interface `java.lang.AutoCloseable`
Specified by:
  `close` in interface `java.sql.ResultSet`
Throws:
  `SQLServerException`

#### findColumn

    public int findColumn​(java.lang.String columnName)
                   throws SQLServerException

Finds a column index given a column name.

Specified by:
  `findColumn` in interface `java.sql.ResultSet`
Parameters:
  `columnName` - the name of the column
Returns:
  the column index
Throws:
  `SQLServerException` - If any errors occur.

#### clearWarnings

    public void clearWarnings()
                       throws SQLServerException

Clears result set warnings.

Specified by:
  `clearWarnings` in interface `java.sql.ResultSet`
Throws:
  `SQLServerException` - when an error occurs

#### relative

    public boolean relative​(int rows)
                     throws java.sql.SQLException

Specified by:
  `relative` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### next

    public boolean next()
                 throws SQLServerException

Moves the cursor to the first row of this ResultSet object initially, then subsequent calls move the cursor to the second row, the third row, and so on.

Specified by:
  `next` in interface `java.sql.ResultSet`
Returns:
  false when there are no more rows to read
Throws:
  `SQLServerException`

#### wasNull

    public boolean wasNull()
                    throws SQLServerException

Specified by:
  `wasNull` in interface `java.sql.ResultSet`
Throws:
  `SQLServerException`

#### isBeforeFirst

    public boolean isBeforeFirst()
                          throws java.sql.SQLException

Returns if the cursor is before the first row in this result set.

Specified by:
  `isBeforeFirst` in interface `java.sql.ResultSet`
Returns:
  true if the cursor is before the first row in this result set, returns false otherwise or if the result set contains no rows.
Throws:
  `java.sql.SQLException`

#### isAfterLast

    public boolean isAfterLast()
                        throws java.sql.SQLException

Specified by:
  `isAfterLast` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### isFirst

    public boolean isFirst()
                    throws java.sql.SQLException

Returns whether the cursor is on the first row of this `ResultSet` object. This method should be called only on ResultSet objects that are scrollable: TYPE_SCROLL_SENSITIVE, TYPE_SCROLL_INSENSITIVE, TYPE_SS_SCROLL_STATIC, TYPE_SS_SCROLL_KEYSET, TYPE_SS_SCROLL_DYNAMIC.

Note:Support for the `isFirst` method is optional for `ResultSet`s with a result set type of `TYPE_FORWARD_ONLY`

Specified by:
  `isFirst` in interface `java.sql.ResultSet`
Returns:
  `true` if the cursor is on the first row; `false` otherwise
Throws:
  `java.sql.SQLException` - if a database access error occurs or this method is called on a closed result set
Since:
  1.2

#### isLast

    public boolean isLast()
                   throws java.sql.SQLException

Returns whether the cursor is on the last row of this `ResultSet` object. Note: Calling the method `isLast` may be expensive because the JDBC driver might need to fetch ahead one row in order to determine whether the current row is the last row in the result set.

This method should be called only on ResultSet objects that are scrollable: TYPE_SCROLL_SENSITIVE, TYPE_SCROLL_INSENSITIVE, TYPE_SS_SCROLL_STATIC, TYPE_SS_SCROLL_KEYSET, TYPE_SS_SCROLL_DYNAMIC.

Note: Support for the `isLast` method is optional for `ResultSet`s with a result set type of `TYPE_FORWARD_ONLY`

Specified by:
  `isLast` in interface `java.sql.ResultSet`
Returns:
  `true` if the cursor is on the last row; `false` otherwise
Throws:
  `java.sql.SQLException` - if a database access error occurs or this method is called on a closed result set
Since:
  1.2

#### beforeFirst

    public void beforeFirst()
                     throws java.sql.SQLException

Specified by:
  `beforeFirst` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### afterLast

    public void afterLast()
                   throws java.sql.SQLException

Specified by:
  `afterLast` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### first

    public boolean first()
                  throws java.sql.SQLException

Moves the cursor to the first row in this `ResultSet` object.

This method should be called only on ResultSet objects that are scrollable: TYPE_SCROLL_SENSITIVE, TYPE_SCROLL_INSENSITIVE, TYPE_SS_SCROLL_STATIC, TYPE_SS_SCROLL_KEYSET, TYPE_SS_SCROLL_DYNAMIC.

Specified by:
  `first` in interface `java.sql.ResultSet`
Returns:
  `true` if the cursor is on a valid row; `false` if there are no rows in the result set
Throws:
  `java.sql.SQLException` - if a database access error occurs; this method is called on a closed result set or the result set type is `TYPE_FORWARD_ONLY`
Since:
  1.2

#### last

    public boolean last()
                 throws java.sql.SQLException

Moves the cursor to the last row in this `ResultSet` object. This method should be called only on ResultSet objects that are scrollable: TYPE_SCROLL_SENSITIVE, TYPE_SCROLL_INSENSITIVE, TYPE_SS_SCROLL_STATIC, TYPE_SS_SCROLL_KEYSET, TYPE_SS_SCROLL_DYNAMIC.

Specified by:
  `last` in interface `java.sql.ResultSet`
Returns:
  `true` if the cursor is on a valid row; `false` if there are no rows in the result set
Throws:
  `java.sql.SQLException` - if a database access error occurs; this method is called on a closed result set or the result set type is `TYPE_FORWARD_ONLY`
Since:
  1.2

#### getRow

    public int getRow()
               throws java.sql.SQLException

Specified by:
  `getRow` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### absolute

    public boolean absolute​(int row)
                     throws java.sql.SQLException

Moves the cursor to the given row number in this `ResultSet` object.

This method should be called only on ResultSet objects that are scrollable: TYPE_SCROLL_SENSITIVE, TYPE_SCROLL_INSENSITIVE, TYPE_SS_SCROLL_STATIC, TYPE_SS_SCROLL_KEYSET, TYPE_SS_SCROLL_DYNAMIC.

If the row number is positive, the cursor moves to the given row number with respect to the beginning of the result set. The first row is row 1, the second is row 2, and so on.

If the given row number is negative, the cursor moves to an absolute row position with respect to the end of the result set. For example, calling the method `absolute(-1)` positions the cursor on the last row; calling the method `absolute(-2)` moves the cursor to the next-to-last row, and so on.

If the row number specified is zero, the cursor is moved to before the first row.

An attempt to position the cursor beyond the first/last row in the result set leaves the cursor before the first row or after the last row.

Note: Calling `absolute(1)` is the same as calling `first()`. Calling `absolute(-1)` is the same as calling `last()`.

Specified by:
  `absolute` in interface `java.sql.ResultSet`
Parameters:
  `row` - the number of the row to which the cursor should move. A value of zero indicates that the cursor will be positioned before the first row; a positive number indicates the row number counting from the beginning of the result set; a negative number indicates the row number counting from the end of the result set
Returns:
  `true` if the cursor is moved to a position in this `ResultSet` object; `false` if the cursor is before the first row or after the last row
Throws:
  `java.sql.SQLException` - if a database access error occurs; this method is called on a closed result set or the result set type is `TYPE_FORWARD_ONLY`
Since:
  1.2

#### previous

    public boolean previous()
                     throws java.sql.SQLException

Moves the cursor to the previous row in this `ResultSet` object. This method should be called only on ResultSet objects that are scrollable: TYPE_SCROLL_SENSITIVE, TYPE_SCROLL_INSENSITIVE, TYPE_SS_SCROLL_STATIC, TYPE_SS_SCROLL_KEYSET, TYPE_SS_SCROLL_DYNAMIC.

Specified by:
  `previous` in interface `java.sql.ResultSet`
Returns:
  `true` if the cursor is now positioned on a valid row; `false` if the cursor is positioned before the first row
Throws:
  `java.sql.SQLException` - if a database access error occurs; this method is called on a closed result set or the result set type is `TYPE_FORWARD_ONLY`
Since:
  1.2

#### getWarnings

    public java.sql.SQLWarning getWarnings()
                                    throws java.sql.SQLException

Specified by:
  `getWarnings` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### setFetchDirection

    public void setFetchDirection​(int direction)
                           throws java.sql.SQLException

Specified by:
  `setFetchDirection` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getFetchDirection

    public int getFetchDirection()
                          throws java.sql.SQLException

Specified by:
  `getFetchDirection` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### setFetchSize

    public void setFetchSize​(int rows)
                      throws SQLServerException

Specified by:
  `setFetchSize` in interface `java.sql.ResultSet`
Throws:
  `SQLServerException`

#### getFetchSize

    public int getFetchSize()
                     throws java.sql.SQLException

Specified by:
  `getFetchSize` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getType

    public int getType()
                throws SQLServerException

Specified by:
  `getType` in interface `java.sql.ResultSet`
Throws:
  `SQLServerException`

#### getConcurrency

    public int getConcurrency()
                       throws SQLServerException

Specified by:
  `getConcurrency` in interface `java.sql.ResultSet`
Throws:
  `SQLServerException`

#### getAsciiStream

    public java.io.InputStream getAsciiStream​(int columnIndex)
                                       throws SQLServerException

Specified by:
  `getAsciiStream` in interface `java.sql.ResultSet`
Throws:
  `SQLServerException`

#### getAsciiStream

    public java.io.InputStream getAsciiStream​(java.lang.String columnName)
                                       throws SQLServerException

Specified by:
  `getAsciiStream` in interface `java.sql.ResultSet`
Throws:
  `SQLServerException`

#### getBigDecimal

    @Deprecated
    public java.math.BigDecimal getBigDecimal​(int columnIndex,
                                              int scale)
                                       throws SQLServerException

Deprecated.

Specified by:
  `getBigDecimal` in interface `java.sql.ResultSet`
Throws:
  `SQLServerException`

#### getBigDecimal

    @Deprecated
    public java.math.BigDecimal getBigDecimal​(java.lang.String columnName,
                                              int scale)
                                       throws SQLServerException

Deprecated.

Specified by:
  `getBigDecimal` in interface `java.sql.ResultSet`
Throws:
  `SQLServerException`

#### getBinaryStream

    public java.io.InputStream getBinaryStream​(int columnIndex)
                                        throws SQLServerException

Specified by:
  `getBinaryStream` in interface `java.sql.ResultSet`
Throws:
  `SQLServerException`

#### getBinaryStream

    public java.io.InputStream getBinaryStream​(java.lang.String columnName)
                                        throws SQLServerException

Specified by:
  `getBinaryStream` in interface `java.sql.ResultSet`
Throws:
  `SQLServerException`

#### getBoolean

    public boolean getBoolean​(int columnIndex)
                       throws SQLServerException

Specified by:
  `getBoolean` in interface `java.sql.ResultSet`
Throws:
  `SQLServerException`

#### getBoolean

    public boolean getBoolean​(java.lang.String columnName)
                       throws SQLServerException

Specified by:
  `getBoolean` in interface `java.sql.ResultSet`
Throws:
  `SQLServerException`

#### getByte

    public byte getByte​(int columnIndex)
                 throws SQLServerException

Specified by:
  `getByte` in interface `java.sql.ResultSet`
Throws:
  `SQLServerException`

#### getByte

    public byte getByte​(java.lang.String columnName)
                 throws SQLServerException

Specified by:
  `getByte` in interface `java.sql.ResultSet`
Throws:
  `SQLServerException`

#### getBytes

    public byte[] getBytes​(int columnIndex)
                    throws SQLServerException

Specified by:
  `getBytes` in interface `java.sql.ResultSet`
Throws:
  `SQLServerException`

#### getBytes

    public byte[] getBytes​(java.lang.String columnName)
                    throws SQLServerException

Specified by:
  `getBytes` in interface `java.sql.ResultSet`
Throws:
  `SQLServerException`

#### getDate

    public java.sql.Date getDate​(int columnIndex)
                          throws SQLServerException

Specified by:
  `getDate` in interface `java.sql.ResultSet`
Throws:
  `SQLServerException`

#### getDate

    public java.sql.Date getDate​(java.lang.String columnName)
                          throws SQLServerException

Specified by:
  `getDate` in interface `java.sql.ResultSet`
Throws:
  `SQLServerException`

#### getDate

    public java.sql.Date getDate​(int columnIndex,
                                 java.util.Calendar cal)
                          throws SQLServerException

Specified by:
  `getDate` in interface `java.sql.ResultSet`
Throws:
  `SQLServerException`

#### getDate

    public java.sql.Date getDate​(java.lang.String colName,
                                 java.util.Calendar cal)
                          throws SQLServerException

Specified by:
  `getDate` in interface `java.sql.ResultSet`
Throws:
  `SQLServerException`

#### getDouble

    public double getDouble​(int columnIndex)
                     throws SQLServerException

Specified by:
  `getDouble` in interface `java.sql.ResultSet`
Throws:
  `SQLServerException`

#### getDouble

    public double getDouble​(java.lang.String columnName)
                     throws SQLServerException

Specified by:
  `getDouble` in interface `java.sql.ResultSet`
Throws:
  `SQLServerException`

#### getFloat

    public float getFloat​(int columnIndex)
                   throws SQLServerException

Specified by:
  `getFloat` in interface `java.sql.ResultSet`
Throws:
  `SQLServerException`

#### getFloat

    public float getFloat​(java.lang.String columnName)
                   throws SQLServerException

Specified by:
  `getFloat` in interface `java.sql.ResultSet`
Throws:
  `SQLServerException`

#### getGeometry

    public Geometry getGeometry​(int columnIndex)
                         throws SQLServerException

Description copied from interface: `ISQLServerResultSet`
Returns the value of the designated column in the current row of this ResultSet object as a com.microsoft.sqlserver.jdbc.Geometry object in the Java programming language.

Specified by:
  `getGeometry` in interface `ISQLServerResultSet`
Parameters:
  `columnIndex` - the first column is 1, the second is 2, ...
Returns:
  the column value; if the value is SQL NULL, the value returned is null
Throws:
  `SQLServerException` - when an error occurs

#### getGeometry

    public Geometry getGeometry​(java.lang.String columnName)
                         throws SQLServerException

Description copied from interface: `ISQLServerResultSet`
Returns the value of the designated column in the current row of this ResultSet object as a com.microsoft.sqlserver.jdbc.Geometry object in the Java programming language.

Specified by:
  `getGeometry` in interface `ISQLServerResultSet`
Parameters:
  `columnName` - the name of the column
Returns:
  the column value; if the value is SQL NULL, the value returned is null
Throws:
  `SQLServerException` - when an error occurs

#### getGeography

    public Geography getGeography​(int columnIndex)
                           throws SQLServerException

Description copied from interface: `ISQLServerResultSet`
Returns the value of the designated column in the current row of this ResultSet object as a com.microsoft.sqlserver.jdbc.Geography object in the Java programming language.

Specified by:
  `getGeography` in interface `ISQLServerResultSet`
Parameters:
  `columnIndex` - the first column is 1, the second is 2, ...
Returns:
  the column value; if the value is SQL NULL, the value returned is null
Throws:
  `SQLServerException` - when an error occurs

#### getGeography

    public Geography getGeography​(java.lang.String columnName)
                           throws SQLServerException

Description copied from interface: `ISQLServerResultSet`
Returns the value of the designated column in the current row of this ResultSet object as a com.microsoft.sqlserver.jdbc.Geography object in the Java programming language.

Specified by:
  `getGeography` in interface `ISQLServerResultSet`
Parameters:
  `columnName` - the name of the column
Returns:
  the column value; if the value is SQL NULL, the value returned is null
Throws:
  `SQLServerException` - when an error occurs

#### getInt

    public int getInt​(int columnIndex)
               throws SQLServerException

Specified by:
  `getInt` in interface `java.sql.ResultSet`
Throws:
  `SQLServerException`

#### getInt

    public int getInt​(java.lang.String columnName)
               throws SQLServerException

Specified by:
  `getInt` in interface `java.sql.ResultSet`
Throws:
  `SQLServerException`

#### getLong

    public long getLong​(int columnIndex)
                 throws SQLServerException

Specified by:
  `getLong` in interface `java.sql.ResultSet`
Throws:
  `SQLServerException`

#### getLong

    public long getLong​(java.lang.String columnName)
                 throws SQLServerException

Specified by:
  `getLong` in interface `java.sql.ResultSet`
Throws:
  `SQLServerException`

#### getMetaData

    public java.sql.ResultSetMetaData getMetaData()
                                           throws SQLServerException

Specified by:
  `getMetaData` in interface `java.sql.ResultSet`
Throws:
  `SQLServerException`

#### getObject

    public java.lang.Object getObject​(int columnIndex)
                               throws SQLServerException

Specified by:
  `getObject` in interface `java.sql.ResultSet`
Throws:
  `SQLServerException`

#### getObject

    public <T> T getObject​(int columnIndex,
                           java.lang.Class<T> type)
                    throws java.sql.SQLException

Specified by:
  `getObject` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getObject

    public java.lang.Object getObject​(java.lang.String columnName)
                               throws SQLServerException

Specified by:
  `getObject` in interface `java.sql.ResultSet`
Throws:
  `SQLServerException`

#### getObject

    public <T> T getObject​(java.lang.String columnName,
                           java.lang.Class<T> type)
                    throws java.sql.SQLException

Specified by:
  `getObject` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getShort

    public short getShort​(int columnIndex)
                   throws SQLServerException

Specified by:
  `getShort` in interface `java.sql.ResultSet`
Throws:
  `SQLServerException`

#### getShort

    public short getShort​(java.lang.String columnName)
                   throws SQLServerException

Specified by:
  `getShort` in interface `java.sql.ResultSet`
Throws:
  `SQLServerException`

#### getString

    public java.lang.String getString​(int columnIndex)
                               throws SQLServerException

Specified by:
  `getString` in interface `java.sql.ResultSet`
Throws:
  `SQLServerException`

#### getString

    public java.lang.String getString​(java.lang.String columnName)
                               throws SQLServerException

Specified by:
  `getString` in interface `java.sql.ResultSet`
Throws:
  `SQLServerException`

#### getNString

    public java.lang.String getNString​(int columnIndex)
                                throws java.sql.SQLException

Specified by:
  `getNString` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getNString

    public java.lang.String getNString​(java.lang.String columnLabel)
                                throws java.sql.SQLException

Specified by:
  `getNString` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getUniqueIdentifier

    public java.lang.String getUniqueIdentifier​(int columnIndex)
                                         throws SQLServerException

Description copied from interface: `ISQLServerResultSet`
Returns the value of the designated column in the current row of this ResultSet object as a String object in the Java programming language.

Specified by:
  `getUniqueIdentifier` in interface `ISQLServerResultSet`
Parameters:
  `columnIndex` - the first column is 1, the second is 2, ...
Returns:
  the column value; if the value is SQL NULL, the value returned is null
Throws:
  `SQLServerException` - when an error occurs

#### getUniqueIdentifier

    public java.lang.String getUniqueIdentifier​(java.lang.String columnLabel)
                                         throws SQLServerException

Description copied from interface: `ISQLServerResultSet`
Returns the value of the designated column in the current row of this ResultSet object as a String object in the Java programming language.

Specified by:
  `getUniqueIdentifier` in interface `ISQLServerResultSet`
Parameters:
  `columnLabel` - the name of the column
Returns:
  the column value; if the value is SQL NULL, the value returned is null
Throws:
  `SQLServerException` - when an error occurs

#### getTime

    public java.sql.Time getTime​(int columnIndex)
                          throws SQLServerException

Specified by:
  `getTime` in interface `java.sql.ResultSet`
Throws:
  `SQLServerException`

#### getTime

    public java.sql.Time getTime​(java.lang.String columnName)
                          throws SQLServerException

Specified by:
  `getTime` in interface `java.sql.ResultSet`
Throws:
  `SQLServerException`

#### getTime

    public java.sql.Time getTime​(int columnIndex,
                                 java.util.Calendar cal)
                          throws SQLServerException

Specified by:
  `getTime` in interface `java.sql.ResultSet`
Throws:
  `SQLServerException`

#### getTime

    public java.sql.Time getTime​(java.lang.String colName,
                                 java.util.Calendar cal)
                          throws SQLServerException

Specified by:
  `getTime` in interface `java.sql.ResultSet`
Throws:
  `SQLServerException`

#### getTimestamp

    public java.sql.Timestamp getTimestamp​(int columnIndex)
                                    throws SQLServerException

Specified by:
  `getTimestamp` in interface `java.sql.ResultSet`
Throws:
  `SQLServerException`

#### getTimestamp

    public java.sql.Timestamp getTimestamp​(java.lang.String columnName)
                                    throws SQLServerException

Specified by:
  `getTimestamp` in interface `java.sql.ResultSet`
Throws:
  `SQLServerException`

#### getTimestamp

    public java.sql.Timestamp getTimestamp​(int columnIndex,
                                           java.util.Calendar cal)
                                    throws SQLServerException

Specified by:
  `getTimestamp` in interface `java.sql.ResultSet`
Throws:
  `SQLServerException`

#### getTimestamp

    public java.sql.Timestamp getTimestamp​(java.lang.String colName,
                                           java.util.Calendar cal)
                                    throws SQLServerException

Specified by:
  `getTimestamp` in interface `java.sql.ResultSet`
Throws:
  `SQLServerException`

#### getDateTime

    public java.sql.Timestamp getDateTime​(int columnIndex)
                                   throws SQLServerException

Description copied from interface: `ISQLServerResultSet`
Returns the value of the designated column in the current row of this ResultSet object as a java.sql.Timestamp object in the Java programming language.

Specified by:
  `getDateTime` in interface `ISQLServerResultSet`
Parameters:
  `columnIndex` - the first column is 1, the second is 2, ...
Returns:
  the column value; if the value is SQL NULL, the value returned is null
Throws:
  `SQLServerException` - when an error occurs

#### getDateTime

    public java.sql.Timestamp getDateTime​(java.lang.String columnName)
                                   throws SQLServerException

Description copied from interface: `ISQLServerResultSet`
Returns the value of the designated column in the current row of this ResultSet object as a java.sql.Timestamp object in the Java programming language.

Specified by:
  `getDateTime` in interface `ISQLServerResultSet`
Parameters:
  `columnName` - is the name of the column
Returns:
  the column value; if the value is SQL NULL, the value returned is null
Throws:
  `SQLServerException` - If any errors occur.

#### getDateTime

    public java.sql.Timestamp getDateTime​(int columnIndex,
                                          java.util.Calendar cal)
                                   throws SQLServerException

Description copied from interface: `ISQLServerResultSet`
Returns the value of the designated column in the current row of this ResultSet object as a java.sql.Timestamp object in the Java programming language. This method uses the given calendar to construct an appropriate millisecond value for the timestamp if the underlying database does not store timezone information.

Specified by:
  `getDateTime` in interface `ISQLServerResultSet`
Parameters:
  `columnIndex` - the first column is 1, the second is 2, ...
  `cal` - the java.util.Calendar object to use in constructing the dateTime
Returns:
  the column value; if the value is SQL NULL, the value returned is null
Throws:
  `SQLServerException` - If any errors occur.

#### getDateTime

    public java.sql.Timestamp getDateTime​(java.lang.String colName,
                                          java.util.Calendar cal)
                                   throws SQLServerException

Description copied from interface: `ISQLServerResultSet`
Returns the value of the designated column in the current row of this ResultSet object as a java.sql.Timestamp object in the Java programming language. This method uses the given calendar to construct an appropriate millisecond value for the timestamp if the underlying database does not store timezone information.

Specified by:
  `getDateTime` in interface `ISQLServerResultSet`
Parameters:
  `colName` - the label for the column specified with the SQL AS clause. If the SQL AS clause was not specified, then the label is the name of the column
  `cal` - the java.util.Calendar object to use in constructing the dateTime
Returns:
  the column value; if the value is SQL NULL, the value returned is null
Throws:
  `SQLServerException` - If any errors occur.

#### getSmallDateTime

    public java.sql.Timestamp getSmallDateTime​(int columnIndex)
                                        throws SQLServerException

Description copied from interface: `ISQLServerResultSet`
Returns the value of the designated column in the current row of this ResultSet object as a java.sql.Timestamp object in the Java programming language.

Specified by:
  `getSmallDateTime` in interface `ISQLServerResultSet`
Parameters:
  `columnIndex` - the first column is 1, the second is 2, ...
Returns:
  the column value; if the value is SQL NULL, the value returned is null
Throws:
  `SQLServerException` - when an error occurs

#### getSmallDateTime

    public java.sql.Timestamp getSmallDateTime​(java.lang.String columnName)
                                        throws SQLServerException

Description copied from interface: `ISQLServerResultSet`
Returns the value of the designated column in the current row of this ResultSet object as a java.sql.Timestamp object in the Java programming language.

Specified by:
  `getSmallDateTime` in interface `ISQLServerResultSet`
Parameters:
  `columnName` - is the name of a column.
Returns:
  the column value; if the value is SQL NULL, the value returned is null
Throws:
  `SQLServerException` - If any errors occur.

#### getSmallDateTime

    public java.sql.Timestamp getSmallDateTime​(int columnIndex,
                                               java.util.Calendar cal)
                                        throws SQLServerException

Description copied from interface: `ISQLServerResultSet`
Returns the value of the designated column in the current row of this ResultSet object as a java.sql.Timestamp object in the Java programming language.

Specified by:
  `getSmallDateTime` in interface `ISQLServerResultSet`
Parameters:
  `columnIndex` - the first column is 1, the second is 2, ...
  `cal` - the java.util.Calendar object to use in constructing the smalldateTime
Returns:
  the column value; if the value is SQL NULL, the value returned is null
Throws:
  `SQLServerException` - If any errors occur.

#### getSmallDateTime

    public java.sql.Timestamp getSmallDateTime​(java.lang.String colName,
                                               java.util.Calendar cal)
                                        throws SQLServerException

Description copied from interface: `ISQLServerResultSet`
Returns the value of the designated column in the current row of this ResultSet object as a java.sql.Timestamp object in the Java programming language.

Specified by:
  `getSmallDateTime` in interface `ISQLServerResultSet`
Parameters:
  `colName` - The name of a column
  `cal` - the java.util.Calendar object to use in constructing the smalldateTime
Returns:
  the column value; if the value is SQL NULL, the value returned is null
Throws:
  `SQLServerException` - If any errors occur.

#### getDateTimeOffset

    public DateTimeOffset getDateTimeOffset​(int columnIndex)
                                     throws SQLServerException

Description copied from interface: `ISQLServerResultSet`
Returns the value of the designated column as a microsoft.sql.DateTimeOffset object, given a zero-based column ordinal.

Specified by:
  `getDateTimeOffset` in interface `ISQLServerResultSet`
Parameters:
  `columnIndex` - The zero-based ordinal of a column.
Returns:
  A DateTimeOffset Class object.
Throws:
  `SQLServerException` - when an error occurs

#### getDateTimeOffset

    public DateTimeOffset getDateTimeOffset​(java.lang.String columnName)
                                     throws SQLServerException

Description copied from interface: `ISQLServerResultSet`
Returns the value of the column specified as a microsoft.sql.DateTimeOffset object, given a column name.

Specified by:
  `getDateTimeOffset` in interface `ISQLServerResultSet`
Parameters:
  `columnName` - The name of a column.
Returns:
  A DateTimeOffset Class object.
Throws:
  `SQLServerException` - when an error occurs

#### getUnicodeStream

    @Deprecated
    public java.io.InputStream getUnicodeStream​(int columnIndex)
                                         throws java.sql.SQLException

Deprecated.

Specified by:
  `getUnicodeStream` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getUnicodeStream

    @Deprecated
    public java.io.InputStream getUnicodeStream​(java.lang.String columnName)
                                         throws java.sql.SQLException

Deprecated.

Specified by:
  `getUnicodeStream` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getObject

    public java.lang.Object getObject​(int i,
                                      java.util.Map<java.lang.String,java.lang.Class<?>> map)
                               throws java.sql.SQLException

Specified by:
  `getObject` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getRef

    public java.sql.Ref getRef​(int i)
                        throws java.sql.SQLException

Specified by:
  `getRef` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getBlob

    public java.sql.Blob getBlob​(int i)
                          throws SQLServerException

Specified by:
  `getBlob` in interface `java.sql.ResultSet`
Throws:
  `SQLServerException`

#### getBlob

    public java.sql.Blob getBlob​(java.lang.String colName)
                          throws SQLServerException

Specified by:
  `getBlob` in interface `java.sql.ResultSet`
Throws:
  `SQLServerException`

#### getClob

    public java.sql.Clob getClob​(int columnIndex)
                          throws SQLServerException

Specified by:
  `getClob` in interface `java.sql.ResultSet`
Throws:
  `SQLServerException`

#### getClob

    public java.sql.Clob getClob​(java.lang.String colName)
                          throws SQLServerException

Specified by:
  `getClob` in interface `java.sql.ResultSet`
Throws:
  `SQLServerException`

#### getNClob

    public java.sql.NClob getNClob​(int columnIndex)
                            throws java.sql.SQLException

Specified by:
  `getNClob` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getNClob

    public java.sql.NClob getNClob​(java.lang.String columnLabel)
                            throws java.sql.SQLException

Specified by:
  `getNClob` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getArray

    public java.sql.Array getArray​(int i)
                            throws java.sql.SQLException

Specified by:
  `getArray` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getObject

    public java.lang.Object getObject​(java.lang.String colName,
                                      java.util.Map<java.lang.String,java.lang.Class<?>> map)
                               throws java.sql.SQLException

Specified by:
  `getObject` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getRef

    public java.sql.Ref getRef​(java.lang.String colName)
                        throws java.sql.SQLException

Specified by:
  `getRef` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getArray

    public java.sql.Array getArray​(java.lang.String colName)
                            throws java.sql.SQLException

Specified by:
  `getArray` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getCursorName

    public java.lang.String getCursorName()
                                   throws java.sql.SQLException

Specified by:
  `getCursorName` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getCharacterStream

    public java.io.Reader getCharacterStream​(int columnIndex)
                                      throws java.sql.SQLException

Specified by:
  `getCharacterStream` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getCharacterStream

    public java.io.Reader getCharacterStream​(java.lang.String columnName)
                                      throws java.sql.SQLException

Specified by:
  `getCharacterStream` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getNCharacterStream

    public java.io.Reader getNCharacterStream​(int columnIndex)
                                       throws java.sql.SQLException

Specified by:
  `getNCharacterStream` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getNCharacterStream

    public java.io.Reader getNCharacterStream​(java.lang.String columnLabel)
                                       throws java.sql.SQLException

Specified by:
  `getNCharacterStream` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getBigDecimal

    public java.math.BigDecimal getBigDecimal​(int columnIndex)
                                       throws java.sql.SQLException

Specified by:
  `getBigDecimal` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getBigDecimal

    public java.math.BigDecimal getBigDecimal​(java.lang.String columnName)
                                       throws java.sql.SQLException

Specified by:
  `getBigDecimal` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getMoney

    public java.math.BigDecimal getMoney​(int columnIndex)
                                  throws SQLServerException

Description copied from interface: `ISQLServerResultSet`
Returns the value of the column specified as a java.math.BigDecimal object.

Specified by:
  `getMoney` in interface `ISQLServerResultSet`
Parameters:
  `columnIndex` - The zero-based ordinal of a column.
Returns:
  the column value; if the value is SQL NULL, the value returned is null
Throws:
  `SQLServerException` - when an error occurs

#### getMoney

    public java.math.BigDecimal getMoney​(java.lang.String columnName)
                                  throws SQLServerException

Description copied from interface: `ISQLServerResultSet`
Returns the value of the column specified as a java.math.BigDecimal object.

Specified by:
  `getMoney` in interface `ISQLServerResultSet`
Parameters:
  `columnName` - is the name of a column.
Returns:
  the column value; if the value is SQL NULL, the value returned is null.
Throws:
  `SQLServerException` - If any errors occur.

#### getSmallMoney

    public java.math.BigDecimal getSmallMoney​(int columnIndex)
                                       throws SQLServerException

Description copied from interface: `ISQLServerResultSet`
Returns the value of the column specified as a java.math.BigDecimal object.

Specified by:
  `getSmallMoney` in interface `ISQLServerResultSet`
Parameters:
  `columnIndex` - The zero-based ordinal of a column.
Returns:
  the column value; if the value is SQL NULL, the value returned is null
Throws:
  `SQLServerException` - If any errors occur.

#### getSmallMoney

    public java.math.BigDecimal getSmallMoney​(java.lang.String columnName)
                                       throws SQLServerException

Description copied from interface: `ISQLServerResultSet`
Returns the value of the column specified as a java.math.BigDecimal object.

Specified by:
  `getSmallMoney` in interface `ISQLServerResultSet`
Parameters:
  `columnName` - is the name of a column.
Returns:
  the column value; if the value is SQL NULL, the value returned is null.
Throws:
  `SQLServerException` - If any errors occur.

#### getRowId

    public java.sql.RowId getRowId​(int columnIndex)
                            throws java.sql.SQLException

Specified by:
  `getRowId` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getRowId

    public java.sql.RowId getRowId​(java.lang.String columnLabel)
                            throws java.sql.SQLException

Specified by:
  `getRowId` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getSQLXML

    public java.sql.SQLXML getSQLXML​(int columnIndex)
                              throws java.sql.SQLException

Specified by:
  `getSQLXML` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getSQLXML

    public java.sql.SQLXML getSQLXML​(java.lang.String columnLabel)
                              throws java.sql.SQLException

Specified by:
  `getSQLXML` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### rowUpdated

    public boolean rowUpdated()
                       throws SQLServerException

Specified by:
  `rowUpdated` in interface `java.sql.ResultSet`
Throws:
  `SQLServerException`

#### rowInserted

    public boolean rowInserted()
                        throws SQLServerException

Specified by:
  `rowInserted` in interface `java.sql.ResultSet`
Throws:
  `SQLServerException`

#### rowDeleted

    public boolean rowDeleted()
                       throws SQLServerException

Specified by:
  `rowDeleted` in interface `java.sql.ResultSet`
Throws:
  `SQLServerException`

#### updateNull

    public void updateNull​(int index)
                    throws SQLServerException

Specified by:
  `updateNull` in interface `java.sql.ResultSet`
Throws:
  `SQLServerException`

#### updateBoolean

    public void updateBoolean​(int index,
                              boolean x)
                       throws java.sql.SQLException

Specified by:
  `updateBoolean` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateBoolean

    public void updateBoolean​(int index,
                              boolean x,
                              boolean forceEncrypt)
                       throws SQLServerException

Description copied from interface: `ISQLServerResultSet`
Updates the designated column with a `boolean` value. The updater methods are used to update column values in the current row or the insert row. The updater methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database.

Specified by:
  `updateBoolean` in interface `ISQLServerResultSet`
Parameters:
  `index` - the first column is 1, the second is 2, ...
  `x` - the new column value
  `forceEncrypt` - If the boolean forceEncrypt is set to true, the query parameter will only be set if the designation column is encrypted and Always Encrypted is enabled on the connection or on the statement. If the boolean forceEncrypt is set to false, the driver will not force encryption on parameters.
Throws:
  `SQLServerException` - when an error occurs

#### updateByte

    public void updateByte​(int index,
                           byte x)
                    throws java.sql.SQLException

Specified by:
  `updateByte` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateByte

    public void updateByte​(int index,
                           byte x,
                           boolean forceEncrypt)
                    throws SQLServerException

Description copied from interface: `ISQLServerResultSet`
Updates the designated column with a `byte` value. The updater methods are used to update column values in the current row or the insert row. The updater methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database.

Specified by:
  `updateByte` in interface `ISQLServerResultSet`
Parameters:
  `index` - the first column is 1, the second is 2, ...
  `x` - the new column value
  `forceEncrypt` - If the boolean forceEncrypt is set to true, the query parameter will only be set if the designation column is encrypted and Always Encrypted is enabled on the connection or on the statement. If the boolean forceEncrypt is set to false, the driver will not force encryption on parameters.
Throws:
  `SQLServerException` - when an error occurs

#### updateShort

    public void updateShort​(int index,
                            short x)
                     throws java.sql.SQLException

Specified by:
  `updateShort` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateShort

    public void updateShort​(int index,
                            short x,
                            boolean forceEncrypt)
                     throws SQLServerException

Description copied from interface: `ISQLServerResultSet`
Updates the designated column with a `short` value. The updater methods are used to update column values in the current row or the insert row. The updater methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database.

Specified by:
  `updateShort` in interface `ISQLServerResultSet`
Parameters:
  `index` - the first column is 1, the second is 2, ...
  `x` - the new column value
  `forceEncrypt` - If the boolean forceEncrypt is set to true, the query parameter will only be set if the designation column is encrypted and Always Encrypted is enabled on the connection or on the statement. If the boolean forceEncrypt is set to false, the driver will not force encryption on parameters.
Throws:
  `SQLServerException` - when an error occurs

#### updateInt

    public void updateInt​(int index,
                          int x)
                   throws java.sql.SQLException

Specified by:
  `updateInt` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateInt

    public void updateInt​(int index,
                          int x,
                          boolean forceEncrypt)
                   throws SQLServerException

Description copied from interface: `ISQLServerResultSet`
Updates the designated column with an `int` value. The updater methods are used to update column values in the current row or the insert row. The updater methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database.

Specified by:
  `updateInt` in interface `ISQLServerResultSet`
Parameters:
  `index` - the first column is 1, the second is 2, ...
  `x` - the new column value
  `forceEncrypt` - If the boolean forceEncrypt is set to true, the query parameter will only be set if the designation column is encrypted and Always Encrypted is enabled on the connection or on the statement. If the boolean forceEncrypt is set to false, the driver will not force encryption on parameters.
Throws:
  `SQLServerException` - when an error occurs

#### updateLong

    public void updateLong​(int index,
                           long x)
                    throws java.sql.SQLException

Specified by:
  `updateLong` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateLong

    public void updateLong​(int index,
                           long x,
                           boolean forceEncrypt)
                    throws SQLServerException

Description copied from interface: `ISQLServerResultSet`
Updates the designated column with a `long` value. The updater methods are used to update column values in the current row or the insert row. The updater methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database.

Specified by:
  `updateLong` in interface `ISQLServerResultSet`
Parameters:
  `index` - the first column is 1, the second is 2, ...
  `x` - the new column value
  `forceEncrypt` - If the boolean forceEncrypt is set to true, the query parameter will only be set if the designation column is encrypted and Always Encrypted is enabled on the connection or on the statement. If the boolean forceEncrypt is set to false, the driver will not force encryption on parameters.
Throws:
  `SQLServerException` - when an error occurs

#### updateFloat

    public void updateFloat​(int index,
                            float x)
                     throws java.sql.SQLException

Specified by:
  `updateFloat` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateFloat

    public void updateFloat​(int index,
                            float x,
                            boolean forceEncrypt)
                     throws SQLServerException

Description copied from interface: `ISQLServerResultSet`
Updates the designated column with a `float` value. The updater methods are used to update column values in the current row or the insert row. The updater methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database.

Specified by:
  `updateFloat` in interface `ISQLServerResultSet`
Parameters:
  `index` - the first column is 1, the second is 2, ...
  `x` - the new column value
  `forceEncrypt` - If the boolean forceEncrypt is set to true, the query parameter will only be set if the designation column is encrypted and Always Encrypted is enabled on the connection or on the statement. If the boolean forceEncrypt is set to false, the driver will not force encryption on parameters.
Throws:
  `SQLServerException` - when an error occurs

#### updateDouble

    public void updateDouble​(int index,
                             double x)
                      throws java.sql.SQLException

Specified by:
  `updateDouble` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateDouble

    public void updateDouble​(int index,
                             double x,
                             boolean forceEncrypt)
                      throws SQLServerException

Description copied from interface: `ISQLServerResultSet`
Updates the designated column with a `double` value. The updater methods are used to update column values in the current row or the insert row. The updater methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database.

Specified by:
  `updateDouble` in interface `ISQLServerResultSet`
Parameters:
  `index` - the first column is 1, the second is 2, ...
  `x` - the new column value
  `forceEncrypt` - If the boolean forceEncrypt is set to true, the query parameter will only be set if the designation column is encrypted and Always Encrypted is enabled on the connection or on the statement. If the boolean forceEncrypt is set to false, the driver will not force encryption on parameters.
Throws:
  `SQLServerException` - when an error occurs

#### updateMoney

    public void updateMoney​(int index,
                            java.math.BigDecimal x)
                     throws SQLServerException

Description copied from interface: `ISQLServerResultSet`
Updates the designated column with a `money` value. The updater methods are used to update column values in the current row or the insert row. The updater methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database.

Specified by:
  `updateMoney` in interface `ISQLServerResultSet`
Parameters:
  `index` - the first column is 1, the second is 2, ...
  `x` - the new column value
Throws:
  `SQLServerException` - when an error occurs

#### updateMoney

    public void updateMoney​(int index,
                            java.math.BigDecimal x,
                            boolean forceEncrypt)
                     throws SQLServerException

Description copied from interface: `ISQLServerResultSet`
Updates the designated column with a `money` value. The updater methods are used to update column values in the current row or the insert row. The updater methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database.

Specified by:
  `updateMoney` in interface `ISQLServerResultSet`
Parameters:
  `index` - the first column is 1, the second is 2, ...
  `x` - the new column value
  `forceEncrypt` - If the boolean forceEncrypt is set to true, the query parameter will only be set if the designation column is encrypted and Always Encrypted is enabled on the connection or on the statement. If the boolean forceEncrypt is set to false, the driver will not force encryption on parameters.
Throws:
  `SQLServerException` - when an error occurs

#### updateMoney

    public void updateMoney​(java.lang.String columnName,
                            java.math.BigDecimal x)
                     throws SQLServerException

Description copied from interface: `ISQLServerResultSet`
Updates the designated column with a `money` value. The updater methods are used to update column values in the current row or the insert row. The updater methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database.

Specified by:
  `updateMoney` in interface `ISQLServerResultSet`
Parameters:
  `columnName` - the column name
  `x` - the new column value
Throws:
  `SQLServerException` - If any errors occur.

#### updateMoney

    public void updateMoney​(java.lang.String columnName,
                            java.math.BigDecimal x,
                            boolean forceEncrypt)
                     throws SQLServerException

Description copied from interface: `ISQLServerResultSet`
Updates the designated column with a `money` value. The updater methods are used to update column values in the current row or the insert row. The updater methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database.

Specified by:
  `updateMoney` in interface `ISQLServerResultSet`
Parameters:
  `columnName` - the column name
  `x` - the new column value
  `forceEncrypt` - If the boolean forceEncrypt is set to true, the query parameter will only be set if the designation column is encrypted and Always Encrypted is enabled on the connection or on the statement. If the boolean forceEncrypt is set to false, the driver will not force encryption on parameters.
Throws:
  `SQLServerException` - If any errors occur.

#### updateSmallMoney

    public void updateSmallMoney​(int index,
                                 java.math.BigDecimal x)
                          throws SQLServerException

Description copied from interface: `ISQLServerResultSet`
Updates the designated column with a `smallmoney` value. The updater methods are used to update column values in the current row or the insert row. The updater methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database.

Specified by:
  `updateSmallMoney` in interface `ISQLServerResultSet`
Parameters:
  `index` - the first column is 1, the second is 2, ...
  `x` - the new column value
Throws:
  `SQLServerException` - when an error occurs

#### updateSmallMoney

    public void updateSmallMoney​(int index,
                                 java.math.BigDecimal x,
                                 boolean forceEncrypt)
                          throws SQLServerException

Description copied from interface: `ISQLServerResultSet`
Updates the designated column with a `smallmoney` value. The updater methods are used to update column values in the current row or the insert row. The updater methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database.

Specified by:
  `updateSmallMoney` in interface `ISQLServerResultSet`
Parameters:
  `index` - the first column is 1, the second is 2, ...
  `x` - the new column value
  `forceEncrypt` - If the boolean forceEncrypt is set to true, the query parameter will only be set if the designation column is encrypted and Always Encrypted is enabled on the connection or on the statement. If the boolean forceEncrypt is set to false, the driver will not force encryption on parameters.
Throws:
  `SQLServerException` - when an error occurs

#### updateSmallMoney

    public void updateSmallMoney​(java.lang.String columnName,
                                 java.math.BigDecimal x)
                          throws SQLServerException

Description copied from interface: `ISQLServerResultSet`
Updates the designated column with a `smallmoney` value. The updater methods are used to update column values in the current row or the insert row. The updater methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database.

Specified by:
  `updateSmallMoney` in interface `ISQLServerResultSet`
Parameters:
  `columnName` - the column name
  `x` - the new column value
Throws:
  `SQLServerException` - If any errors occur.

#### updateSmallMoney

    public void updateSmallMoney​(java.lang.String columnName,
                                 java.math.BigDecimal x,
                                 boolean forceEncrypt)
                          throws SQLServerException

Description copied from interface: `ISQLServerResultSet`
Updates the designated column with a `smallmoney` value. The updater methods are used to update column values in the current row or the insert row. The updater methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database.

Specified by:
  `updateSmallMoney` in interface `ISQLServerResultSet`
Parameters:
  `columnName` - the column name
  `x` - the new column value
  `forceEncrypt` - If the boolean forceEncrypt is set to true, the query parameter will only be set if the designation column is encrypted and Always Encrypted is enabled on the connection or on the statement. If the boolean forceEncrypt is set to false, the driver will not force encryption on parameters.
Throws:
  `SQLServerException` - If any errors occur.

#### updateBigDecimal

    public void updateBigDecimal​(int index,
                                 java.math.BigDecimal x)
                          throws SQLServerException

Specified by:
  `updateBigDecimal` in interface `java.sql.ResultSet`
Throws:
  `SQLServerException`

#### updateBigDecimal

    public void updateBigDecimal​(int index,
                                 java.math.BigDecimal x,
                                 java.lang.Integer precision,
                                 java.lang.Integer scale)
                          throws SQLServerException

Description copied from interface: `ISQLServerResultSet`
Updates the designated column with a `java.math.BigDecimal` value. The updater methods are used to update column values in the current row or the insert row. The updater methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database.

Specified by:
  `updateBigDecimal` in interface `ISQLServerResultSet`
Parameters:
  `index` - the first column is 1, the second is 2, ...
  `x` - the new column value
  `precision` - the precision of the column
  `scale` - the scale of the column
Throws:
  `SQLServerException` - when an error occurs

#### updateBigDecimal

    public void updateBigDecimal​(int index,
                                 java.math.BigDecimal x,
                                 java.lang.Integer precision,
                                 java.lang.Integer scale,
                                 boolean forceEncrypt)
                          throws SQLServerException

Description copied from interface: `ISQLServerResultSet`
Updates the designated column with a `java.math.BigDecimal` value. The updater methods are used to update column values in the current row or the insert row. The updater methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database.

Specified by:
  `updateBigDecimal` in interface `ISQLServerResultSet`
Parameters:
  `index` - the first column is 1, the second is 2, ...
  `x` - the new column value
  `precision` - the precision of the column
  `scale` - the scale of the column
  `forceEncrypt` - If the boolean forceEncrypt is set to true, the query parameter will only be set if the designation column is encrypted and Always Encrypted is enabled on the connection or on the statement. If the boolean forceEncrypt is set to false, the driver will not force encryption on parameters.
Throws:
  `SQLServerException` - when an error occurs

#### updateString

    public void updateString​(int columnIndex,
                             java.lang.String stringValue)
                      throws SQLServerException

Specified by:
  `updateString` in interface `java.sql.ResultSet`
Throws:
  `SQLServerException`

#### updateString

    public void updateString​(int columnIndex,
                             java.lang.String stringValue,
                             boolean forceEncrypt)
                      throws SQLServerException

Description copied from interface: `ISQLServerResultSet`
Updates the designated column with a `String` value. The updater methods are used to update column values in the current row or the insert row. The updater methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database.

Specified by:
  `updateString` in interface `ISQLServerResultSet`
Parameters:
  `columnIndex` - the first column is 1, the second is 2, ...
  `stringValue` - the new column value
  `forceEncrypt` - If the boolean forceEncrypt is set to true, the query parameter will only be set if the designation column is encrypted and Always Encrypted is enabled on the connection or on the statement. If the boolean forceEncrypt is set to false, the driver will not force encryption on parameters.
Throws:
  `SQLServerException` - when an error occurs

#### updateNString

    public void updateNString​(int columnIndex,
                              java.lang.String nString)
                       throws java.sql.SQLException

Specified by:
  `updateNString` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateNString

    public void updateNString​(int columnIndex,
                              java.lang.String nString,
                              boolean forceEncrypt)
                       throws SQLServerException

Description copied from interface: `ISQLServerResultSet`
Updates the designated column with a `String` value. It is intended for use when updating `NCHAR`,`NVARCHAR` and `LONGNVARCHAR` columns. The updater methods are used to update column values in the current row or the insert row. The updater methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database.

Specified by:
  `updateNString` in interface `ISQLServerResultSet`
Parameters:
  `columnIndex` - the first column is 1, the second 2, ...
  `nString` - the value for the column to be updated
  `forceEncrypt` - If the boolean forceEncrypt is set to true, the query parameter will only be set if the designation column is encrypted and Always Encrypted is enabled on the connection or on the statement. If the boolean forceEncrypt is set to false, the driver will not force encryption on parameters.
Throws:
  `SQLServerException` - when an error occurs

#### updateNString

    public void updateNString​(java.lang.String columnLabel,
                              java.lang.String nString)
                       throws java.sql.SQLException

Specified by:
  `updateNString` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateNString

    public void updateNString​(java.lang.String columnLabel,
                              java.lang.String nString,
                              boolean forceEncrypt)
                       throws SQLServerException

Description copied from interface: `ISQLServerResultSet`
Updates the designated column with a `String` value. It is intended for use when updating `NCHAR`,`NVARCHAR` and `LONGNVARCHAR` columns. The updater methods are used to update column values in the current row or the insert row. The updater methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database.

Specified by:
  `updateNString` in interface `ISQLServerResultSet`
Parameters:
  `columnLabel` - the label for the column specified with the SQL AS clause. If the SQL AS clause was not specified, then the label is the name of the column
  `nString` - the value for the column to be updated
  `forceEncrypt` - If the boolean forceEncrypt is set to true, the query parameter will only be set if the designation column is encrypted and Always Encrypted is enabled on the connection or on the statement. If the boolean forceEncrypt is set to false, the driver will not force encryption on parameters.
Throws:
  `SQLServerException` - when an error occurs

#### updateBytes

    public void updateBytes​(int index,
                            byte[] x)
                     throws java.sql.SQLException

Specified by:
  `updateBytes` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateBytes

    public void updateBytes​(int index,
                            byte[] x,
                            boolean forceEncrypt)
                     throws SQLServerException

Description copied from interface: `ISQLServerResultSet`
Updates the designated column with a `byte` array value. The updater methods are used to update column values in the current row or the insert row. The updater methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database.

Specified by:
  `updateBytes` in interface `ISQLServerResultSet`
Parameters:
  `index` - the first column is 1, the second is 2, ...
  `x` - the new column value
  `forceEncrypt` - If the boolean forceEncrypt is set to true, the query parameter will only be set if the designation column is encrypted and Always Encrypted is enabled on the connection or on the statement. If the boolean forceEncrypt is set to false, the driver will not force encryption on parameters.
Throws:
  `SQLServerException` - when an error occurs

#### updateDate

    public void updateDate​(int index,
                           java.sql.Date x)
                    throws SQLServerException

Specified by:
  `updateDate` in interface `java.sql.ResultSet`
Throws:
  `SQLServerException`

#### updateDate

    public void updateDate​(int index,
                           java.sql.Date x,
                           boolean forceEncrypt)
                    throws SQLServerException

Description copied from interface: `ISQLServerResultSet`
Updates the designated column with a `java.sql.Date` value. The updater methods are used to update column values in the current row or the insert row. The updater methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database.

Specified by:
  `updateDate` in interface `ISQLServerResultSet`
Parameters:
  `index` - the first column is 1, the second is 2, ...
  `x` - the new column value
  `forceEncrypt` - If the boolean forceEncrypt is set to true, the query parameter will only be set if the designation column is encrypted and Always Encrypted is enabled on the connection or on the statement. If the boolean forceEncrypt is set to false, the driver will not force encryption on parameters.
Throws:
  `SQLServerException` - when an error occurs

#### updateTime

    public void updateTime​(int index,
                           java.sql.Time x)
                    throws SQLServerException

Specified by:
  `updateTime` in interface `java.sql.ResultSet`
Throws:
  `SQLServerException`

#### updateTime

    public void updateTime​(int index,
                           java.sql.Time x,
                           java.lang.Integer scale)
                    throws SQLServerException

Description copied from interface: `ISQLServerResultSet`
Updates the designated column with a `java.sql.Time` value. The updater methods are used to update column values in the current row or the insert row. The updater methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database.

Specified by:
  `updateTime` in interface `ISQLServerResultSet`
Parameters:
  `index` - the first column is 1, the second is 2, ...
  `x` - the new column value
  `scale` - the scale of the column
Throws:
  `SQLServerException` - when an error occurs

#### updateTime

    public void updateTime​(int index,
                           java.sql.Time x,
                           java.lang.Integer scale,
                           boolean forceEncrypt)
                    throws SQLServerException

Description copied from interface: `ISQLServerResultSet`
Updates the designated column with a `java.sql.Time` value. The updater methods are used to update column values in the current row or the insert row. The updater methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database.

Specified by:
  `updateTime` in interface `ISQLServerResultSet`
Parameters:
  `index` - the first column is 1, the second is 2, ...
  `x` - the new column value
  `scale` - the scale of the column
  `forceEncrypt` - If the boolean forceEncrypt is set to true, the query parameter will only be set if the designation column is encrypted and Always Encrypted is enabled on the connection or on the statement. If the boolean forceEncrypt is set to false, the driver will not force encryption on parameters.
Throws:
  `SQLServerException` - when an error occurs

#### updateTimestamp

    public void updateTimestamp​(int index,
                                java.sql.Timestamp x)
                         throws SQLServerException

Specified by:
  `updateTimestamp` in interface `java.sql.ResultSet`
Throws:
  `SQLServerException`

#### updateTimestamp

    public void updateTimestamp​(int index,
                                java.sql.Timestamp x,
                                int scale)
                         throws SQLServerException

Description copied from interface: `ISQLServerResultSet`
Updates the designated column with a `java.sql.Timestamp` value. The updater methods are used to update column values in the current row or the insert row. The updater methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database.

Specified by:
  `updateTimestamp` in interface `ISQLServerResultSet`
Parameters:
  `index` - the first column is 1, the second is 2, ...
  `x` - the new column value
  `scale` - the scale of the column
Throws:
  `SQLServerException` - when an error occurs

#### updateTimestamp

    public void updateTimestamp​(int index,
                                java.sql.Timestamp x,
                                int scale,
                                boolean forceEncrypt)
                         throws SQLServerException

Description copied from interface: `ISQLServerResultSet`
Updates the designated column with a `java.sql.Timestamp` value. The updater methods are used to update column values in the current row or the insert row. The updater methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database.

Specified by:
  `updateTimestamp` in interface `ISQLServerResultSet`
Parameters:
  `index` - the first column is 1, the second is 2, ...
  `x` - the new column value
  `scale` - the scale of the column
  `forceEncrypt` - If the boolean forceEncrypt is set to true, the query parameter will only be set if the designation column is encrypted and Always Encrypted is enabled on the connection or on the statement. If the boolean forceEncrypt is set to false, the driver will not force encryption on parameters.
Throws:
  `SQLServerException` - when an error occurs

#### updateDateTime

    public void updateDateTime​(int index,
                               java.sql.Timestamp x)
                        throws SQLServerException

Description copied from interface: `ISQLServerResultSet`
Updates the designated column with a `java.sql.Timestamp` value. The updater methods are used to update column values in the current row or the insert row. The updater methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database.

Specified by:
  `updateDateTime` in interface `ISQLServerResultSet`
Parameters:
  `index` - the first column is 1, the second is 2, ...
  `x` - the new column value
Throws:
  `SQLServerException` - when an error occurs

#### updateDateTime

    public void updateDateTime​(int index,
                               java.sql.Timestamp x,
                               java.lang.Integer scale)
                        throws SQLServerException

Description copied from interface: `ISQLServerResultSet`
Updates the designated column with a `java.sql.Timestamp` value. The updater methods are used to update column values in the current row or the insert row. The updater methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database.

Specified by:
  `updateDateTime` in interface `ISQLServerResultSet`
Parameters:
  `index` - the first column is 1, the second is 2, ...
  `x` - the new column value
  `scale` - the scale of the column
Throws:
  `SQLServerException` - when an error occurs

#### updateDateTime

    public void updateDateTime​(int index,
                               java.sql.Timestamp x,
                               java.lang.Integer scale,
                               boolean forceEncrypt)
                        throws SQLServerException

Description copied from interface: `ISQLServerResultSet`
Updates the designated column with a `java.sql.Timestamp` value. The updater methods are used to update column values in the current row or the insert row. The updater methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database.

Specified by:
  `updateDateTime` in interface `ISQLServerResultSet`
Parameters:
  `index` - the first column is 1, the second is 2, ...
  `x` - the new column value
  `scale` - the scale of the column
  `forceEncrypt` - If the boolean forceEncrypt is set to true, the query parameter will only be set if the designation column is encrypted and Always Encrypted is enabled on the connection or on the statement. If the boolean forceEncrypt is set to false, the driver will not force encryption on parameters.
Throws:
  `SQLServerException` - when an error occurs

#### updateSmallDateTime

    public void updateSmallDateTime​(int index,
                                    java.sql.Timestamp x)
                             throws SQLServerException

Description copied from interface: `ISQLServerResultSet`
Updates the designated column with a `java.sql.Timestamp` value. The updater methods are used to update column values in the current row or the insert row. The updater methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database.

Specified by:
  `updateSmallDateTime` in interface `ISQLServerResultSet`
Parameters:
  `index` - the first column is 1, the second is 2, ...
  `x` - the new column value
Throws:
  `SQLServerException` - when an error occurs

#### updateSmallDateTime

    public void updateSmallDateTime​(int index,
                                    java.sql.Timestamp x,
                                    java.lang.Integer scale)
                             throws SQLServerException

Description copied from interface: `ISQLServerResultSet`
Updates the designated column with a `java.sql.Timestamp` value. The updater methods are used to update column values in the current row or the insert row. The updater methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database.

Specified by:
  `updateSmallDateTime` in interface `ISQLServerResultSet`
Parameters:
  `index` - the first column is 1, the second is 2, ...
  `x` - the new column value
  `scale` - the scale of the column
Throws:
  `SQLServerException` - when an error occurs

#### updateSmallDateTime

    public void updateSmallDateTime​(int index,
                                    java.sql.Timestamp x,
                                    java.lang.Integer scale,
                                    boolean forceEncrypt)
                             throws SQLServerException

Description copied from interface: `ISQLServerResultSet`
Updates the designated column with a `java.sql.Timestamp` value. The updater methods are used to update column values in the current row or the insert row. The updater methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database.

Specified by:
  `updateSmallDateTime` in interface `ISQLServerResultSet`
Parameters:
  `index` - the first column is 1, the second is 2, ...
  `x` - the new column value
  `scale` - the scale of the column
  `forceEncrypt` - If the boolean forceEncrypt is set to true, the query parameter will only be set if the designation column is encrypted and Always Encrypted is enabled on the connection or on the statement. If the boolean forceEncrypt is set to false, the driver will not force encryption on parameters.
Throws:
  `SQLServerException` - when an error occurs

#### updateDateTimeOffset

    public void updateDateTimeOffset​(int index,
                                     DateTimeOffset x)
                              throws SQLServerException

Description copied from interface: `ISQLServerResultSet`
Updates the value of the column specified to the DateTimeOffset Class value, given a zero-based column ordinal.

Specified by:
  `updateDateTimeOffset` in interface `ISQLServerResultSet`
Parameters:
  `index` - The zero-based ordinal of a column.
  `x` - A DateTimeOffset Class object.
Throws:
  `SQLServerException` - when an error occurs

#### updateDateTimeOffset

    public void updateDateTimeOffset​(int index,
                                     DateTimeOffset x,
                                     java.lang.Integer scale)
                              throws SQLServerException

Description copied from interface: `ISQLServerResultSet`
Updates the value of the column specified to the DateTimeOffset Class value, given a zero-based column ordinal.

Specified by:
  `updateDateTimeOffset` in interface `ISQLServerResultSet`
Parameters:
  `index` - The zero-based ordinal of a column.
  `x` - A DateTimeOffset Class object.
  `scale` - scale of the column
Throws:
  `SQLServerException` - when an error occurs

#### updateDateTimeOffset

    public void updateDateTimeOffset​(int index,
                                     DateTimeOffset x,
                                     java.lang.Integer scale,
                                     boolean forceEncrypt)
                              throws SQLServerException

Description copied from interface: `ISQLServerResultSet`
Updates the value of the column specified to the DateTimeOffset Class value, given a zero-based column ordinal.

Specified by:
  `updateDateTimeOffset` in interface `ISQLServerResultSet`
Parameters:
  `index` - The zero-based ordinal of a column.
  `x` - A DateTimeOffset Class object.
  `scale` - scale of the column
  `forceEncrypt` - If the boolean forceEncrypt is set to true, the query parameter will only be set if the designation column is encrypted and Always Encrypted is enabled on the connection or on the statement. If the boolean forceEncrypt is set to false, the driver will not force encryption on parameters.
Throws:
  `SQLServerException` - when an error occurs

#### updateUniqueIdentifier

    public void updateUniqueIdentifier​(int index,
                                       java.lang.String x)
                                throws SQLServerException

Description copied from interface: `ISQLServerResultSet`
Updates the designated column with a `String` value. The updater methods are used to update column values in the current row or the insert row. The updater methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database.

Specified by:
  `updateUniqueIdentifier` in interface `ISQLServerResultSet`
Parameters:
  `index` - The zero-based ordinal of a column.
  `x` - the new column value
Throws:
  `SQLServerException` - when an error occurs

#### updateUniqueIdentifier

    public void updateUniqueIdentifier​(int index,
                                       java.lang.String x,
                                       boolean forceEncrypt)
                                throws SQLServerException

Description copied from interface: `ISQLServerResultSet`
Updates the designated column with a `String` value. The updater methods are used to update column values in the current row or the insert row. The updater methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database.

Specified by:
  `updateUniqueIdentifier` in interface `ISQLServerResultSet`
Parameters:
  `index` - The zero-based ordinal of a column.
  `x` - the new column value
  `forceEncrypt` - If the boolean forceEncrypt is set to true, the query parameter will only be set if the designation column is encrypted and Always Encrypted is enabled on the connection or on the statement. If the boolean forceEncrypt is set to false, the driver will not force encryption on parameters.
Throws:
  `SQLServerException` - when an error occurs

#### updateAsciiStream

    public void updateAsciiStream​(int columnIndex,
                                  java.io.InputStream x)
                           throws java.sql.SQLException

Specified by:
  `updateAsciiStream` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateAsciiStream

    public void updateAsciiStream​(int index,
                                  java.io.InputStream x,
                                  int length)
                           throws SQLServerException

Specified by:
  `updateAsciiStream` in interface `java.sql.ResultSet`
Throws:
  `SQLServerException`

#### updateAsciiStream

    public void updateAsciiStream​(int columnIndex,
                                  java.io.InputStream x,
                                  long length)
                           throws java.sql.SQLException

Specified by:
  `updateAsciiStream` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateAsciiStream

    public void updateAsciiStream​(java.lang.String columnLabel,
                                  java.io.InputStream x)
                           throws java.sql.SQLException

Specified by:
  `updateAsciiStream` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateAsciiStream

    public void updateAsciiStream​(java.lang.String columnName,
                                  java.io.InputStream x,
                                  int length)
                           throws SQLServerException

Specified by:
  `updateAsciiStream` in interface `java.sql.ResultSet`
Throws:
  `SQLServerException`

#### updateAsciiStream

    public void updateAsciiStream​(java.lang.String columnName,
                                  java.io.InputStream streamValue,
                                  long length)
                           throws java.sql.SQLException

Specified by:
  `updateAsciiStream` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateBinaryStream

    public void updateBinaryStream​(int columnIndex,
                                   java.io.InputStream x)
                            throws java.sql.SQLException

Specified by:
  `updateBinaryStream` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateBinaryStream

    public void updateBinaryStream​(int columnIndex,
                                   java.io.InputStream streamValue,
                                   int length)
                            throws java.sql.SQLException

Specified by:
  `updateBinaryStream` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateBinaryStream

    public void updateBinaryStream​(int columnIndex,
                                   java.io.InputStream x,
                                   long length)
                            throws java.sql.SQLException

Specified by:
  `updateBinaryStream` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateBinaryStream

    public void updateBinaryStream​(java.lang.String columnLabel,
                                   java.io.InputStream x)
                            throws java.sql.SQLException

Specified by:
  `updateBinaryStream` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateBinaryStream

    public void updateBinaryStream​(java.lang.String columnName,
                                   java.io.InputStream streamValue,
                                   int length)
                            throws java.sql.SQLException

Specified by:
  `updateBinaryStream` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateBinaryStream

    public void updateBinaryStream​(java.lang.String columnLabel,
                                   java.io.InputStream x,
                                   long length)
                            throws java.sql.SQLException

Specified by:
  `updateBinaryStream` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateCharacterStream

    public void updateCharacterStream​(int columnIndex,
                                      java.io.Reader x)
                               throws java.sql.SQLException

Specified by:
  `updateCharacterStream` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateCharacterStream

    public void updateCharacterStream​(int columnIndex,
                                      java.io.Reader readerValue,
                                      int length)
                               throws SQLServerException

Specified by:
  `updateCharacterStream` in interface `java.sql.ResultSet`
Throws:
  `SQLServerException`

#### updateCharacterStream

    public void updateCharacterStream​(int columnIndex,
                                      java.io.Reader x,
                                      long length)
                               throws java.sql.SQLException

Specified by:
  `updateCharacterStream` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateCharacterStream

    public void updateCharacterStream​(java.lang.String columnLabel,
                                      java.io.Reader reader)
                               throws java.sql.SQLException

Specified by:
  `updateCharacterStream` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateCharacterStream

    public void updateCharacterStream​(java.lang.String columnName,
                                      java.io.Reader readerValue,
                                      int length)
                               throws SQLServerException

Specified by:
  `updateCharacterStream` in interface `java.sql.ResultSet`
Throws:
  `SQLServerException`

#### updateCharacterStream

    public void updateCharacterStream​(java.lang.String columnLabel,
                                      java.io.Reader reader,
                                      long length)
                               throws java.sql.SQLException

Specified by:
  `updateCharacterStream` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateNCharacterStream

    public void updateNCharacterStream​(int columnIndex,
                                       java.io.Reader x)
                                throws java.sql.SQLException

Specified by:
  `updateNCharacterStream` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateNCharacterStream

    public void updateNCharacterStream​(int columnIndex,
                                       java.io.Reader x,
                                       long length)
                                throws java.sql.SQLException

Specified by:
  `updateNCharacterStream` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateNCharacterStream

    public void updateNCharacterStream​(java.lang.String columnLabel,
                                       java.io.Reader reader)
                                throws java.sql.SQLException

Specified by:
  `updateNCharacterStream` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateNCharacterStream

    public void updateNCharacterStream​(java.lang.String columnLabel,
                                       java.io.Reader reader,
                                       long length)
                                throws java.sql.SQLException

Specified by:
  `updateNCharacterStream` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateObject

    public void updateObject​(int index,
                             java.lang.Object obj)
                      throws SQLServerException

Specified by:
  `updateObject` in interface `java.sql.ResultSet`
Throws:
  `SQLServerException`

#### updateObject

    public void updateObject​(int index,
                             java.lang.Object x,
                             int scale)
                      throws SQLServerException

Specified by:
  `updateObject` in interface `java.sql.ResultSet`
Throws:
  `SQLServerException`

#### updateObject

    public void updateObject​(int index,
                             java.lang.Object x,
                             int precision,
                             int scale)
                      throws SQLServerException

Description copied from interface: `ISQLServerResultSet`
Updates the designated column with an `Object` value. The updater methods are used to update column values in the current row or the insert row. The updater methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database.

Specified by:
  `updateObject` in interface `ISQLServerResultSet`
Parameters:
  `index` - the first column is 1, the second is 2, ...
  `x` - the new column value
  `precision` - the precision of the column
  `scale` - the scale of the column
Throws:
  `SQLServerException` - when an error occurs

#### updateObject

    public void updateObject​(int index,
                             java.lang.Object x,
                             int precision,
                             int scale,
                             boolean forceEncrypt)
                      throws SQLServerException

Description copied from interface: `ISQLServerResultSet`
Updates the designated column with an `Object` value. The updater methods are used to update column values in the current row or the insert row. The updater methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database.

Specified by:
  `updateObject` in interface `ISQLServerResultSet`
Parameters:
  `index` - the first column is 1, the second is 2, ...
  `x` - the new column value
  `precision` - the precision of the column
  `scale` - the scale of the column
  `forceEncrypt` - If the boolean forceEncrypt is set to true, the query parameter will only be set if the designation column is encrypted and Always Encrypted is enabled on the connection or on the statement. If the boolean forceEncrypt is set to false, the driver will not force encryption on parameters.
Throws:
  `SQLServerException` - when an error occurs

#### updateObject

    protected final void updateObject​(int index,
                                      java.lang.Object x,
                                      java.lang.Integer scale,
                                      com.microsoft.sqlserver.jdbc.JDBCType jdbcType,
                                      java.lang.Integer precision,
                                      boolean forceEncrypt)
                               throws SQLServerException

Throws:
  `SQLServerException`

#### updateNull

    public void updateNull​(java.lang.String columnName)
                    throws SQLServerException

Specified by:
  `updateNull` in interface `java.sql.ResultSet`
Throws:
  `SQLServerException`

#### updateBoolean

    public void updateBoolean​(java.lang.String columnName,
                              boolean x)
                       throws SQLServerException

Specified by:
  `updateBoolean` in interface `java.sql.ResultSet`
Throws:
  `SQLServerException`

#### updateBoolean

    public void updateBoolean​(java.lang.String columnName,
                              boolean x,
                              boolean forceEncrypt)
                       throws SQLServerException

Description copied from interface: `ISQLServerResultSet`
Updates the designated column with a `boolean` value. The updater methods are used to update column values in the current row or the insert row. The updater methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database.

Specified by:
  `updateBoolean` in interface `ISQLServerResultSet`
Parameters:
  `columnName` - the name of the column
  `x` - the new column value
  `forceEncrypt` - If the boolean forceEncrypt is set to true, the query parameter will only be set if the designation column is encrypted and Always Encrypted is enabled on the connection or on the statement. If the boolean forceEncrypt is set to false, the driver will not force encryption on parameters.
Throws:
  `SQLServerException` - when an error occurs

#### updateByte

    public void updateByte​(java.lang.String columnName,
                           byte x)
                    throws SQLServerException

Specified by:
  `updateByte` in interface `java.sql.ResultSet`
Throws:
  `SQLServerException`

#### updateByte

    public void updateByte​(java.lang.String columnName,
                           byte x,
                           boolean forceEncrypt)
                    throws SQLServerException

Description copied from interface: `ISQLServerResultSet`
Updates the designated column with a `byte` value. The updater methods are used to update column values in the current row or the insert row. The updater methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database.

Specified by:
  `updateByte` in interface `ISQLServerResultSet`
Parameters:
  `columnName` - the name of the column
  `x` - the new column value
  `forceEncrypt` - If the boolean forceEncrypt is set to true, the query parameter will only be set if the designation column is encrypted and Always Encrypted is enabled on the connection or on the statement. If the boolean forceEncrypt is set to false, the driver will not force encryption on parameters.
Throws:
  `SQLServerException` - If any errors occur.

#### updateShort

    public void updateShort​(java.lang.String columnName,
                            short x)
                     throws SQLServerException

Specified by:
  `updateShort` in interface `java.sql.ResultSet`
Throws:
  `SQLServerException`

#### updateShort

    public void updateShort​(java.lang.String columnName,
                            short x,
                            boolean forceEncrypt)
                     throws SQLServerException

Description copied from interface: `ISQLServerResultSet`
Updates the designated column with a `short` value. The updater methods are used to update column values in the current row or the insert row. The updater methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database.

Specified by:
  `updateShort` in interface `ISQLServerResultSet`
Parameters:
  `columnName` - the name of the column
  `x` - the new column value
  `forceEncrypt` - If the boolean forceEncrypt is set to true, the query parameter will only be set if the designation column is encrypted and Always Encrypted is enabled on the connection or on the statement. If the boolean forceEncrypt is set to false, the driver will not force encryption on parameters.
Throws:
  `SQLServerException` - If any errors occur.

#### updateInt

    public void updateInt​(java.lang.String columnName,
                          int x)
                   throws SQLServerException

Specified by:
  `updateInt` in interface `java.sql.ResultSet`
Throws:
  `SQLServerException`

#### updateInt

    public void updateInt​(java.lang.String columnName,
                          int x,
                          boolean forceEncrypt)
                   throws SQLServerException

Description copied from interface: `ISQLServerResultSet`
Updates the designated column with an `int` value. The updater methods are used to update column values in the current row or the insert row. The updater methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database.

Specified by:
  `updateInt` in interface `ISQLServerResultSet`
Parameters:
  `columnName` - is the name of the column
  `x` - the new column value
  `forceEncrypt` - If the boolean forceEncrypt is set to true, the query parameter will only be set if the designation column is encrypted and Always Encrypted is enabled on the connection or on the statement. If the boolean forceEncrypt is set to false, the driver will not force encryption on parameters.
Throws:
  `SQLServerException` - If any errors occur.

#### updateLong

    public void updateLong​(java.lang.String columnName,
                           long x)
                    throws SQLServerException

Specified by:
  `updateLong` in interface `java.sql.ResultSet`
Throws:
  `SQLServerException`

#### updateLong

    public void updateLong​(java.lang.String columnName,
                           long x,
                           boolean forceEncrypt)
                    throws SQLServerException

Description copied from interface: `ISQLServerResultSet`
Updates the designated column with a `long` value. The updater methods are used to update column values in the current row or the insert row. The updater methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database.

Specified by:
  `updateLong` in interface `ISQLServerResultSet`
Parameters:
  `columnName` - is the name of the column
  `x` - the new column value
  `forceEncrypt` - If the boolean forceEncrypt is set to true, the query parameter will only be set if the designation column is encrypted and Always Encrypted is enabled on the connection or on the statement. If the boolean forceEncrypt is set to false, the driver will not force encryption on parameters.
Throws:
  `SQLServerException` - If any errors occur.

#### updateFloat

    public void updateFloat​(java.lang.String columnName,
                            float x)
                     throws SQLServerException

Specified by:
  `updateFloat` in interface `java.sql.ResultSet`
Throws:
  `SQLServerException`

#### updateFloat

    public void updateFloat​(java.lang.String columnName,
                            float x,
                            boolean forceEncrypt)
                     throws SQLServerException

Description copied from interface: `ISQLServerResultSet`
Updates the designated column with a `float` value. The updater methods are used to update column values in the current row or the insert row. The updater methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database.

Specified by:
  `updateFloat` in interface `ISQLServerResultSet`
Parameters:
  `columnName` - is the name of the column
  `x` - the new column value
  `forceEncrypt` - If the boolean forceEncrypt is set to true, the query parameter will only be set if the designation column is encrypted and Always Encrypted is enabled on the connection or on the statement. If the boolean forceEncrypt is set to false, the driver will not force encryption on parameters.
Throws:
  `SQLServerException` - If any errors occur.

#### updateDouble

    public void updateDouble​(java.lang.String columnName,
                             double x)
                      throws SQLServerException

Specified by:
  `updateDouble` in interface `java.sql.ResultSet`
Throws:
  `SQLServerException`

#### updateDouble

    public void updateDouble​(java.lang.String columnName,
                             double x,
                             boolean forceEncrypt)
                      throws SQLServerException

Description copied from interface: `ISQLServerResultSet`
Updates the designated column with a `double` value. The updater methods are used to update column values in the current row or the insert row. The updater methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database.

Specified by:
  `updateDouble` in interface `ISQLServerResultSet`
Parameters:
  `columnName` - is the name of the column
  `x` - the new column value
  `forceEncrypt` - If the boolean forceEncrypt is set to true, the query parameter will only be set if the designation column is encrypted and Always Encrypted is enabled on the connection or on the statement. If the boolean forceEncrypt is set to false, the driver will not force encryption on parameters.
Throws:
  `SQLServerException` - If any errors occur.

#### updateBigDecimal

    public void updateBigDecimal​(java.lang.String columnName,
                                 java.math.BigDecimal x)
                          throws SQLServerException

Specified by:
  `updateBigDecimal` in interface `java.sql.ResultSet`
Throws:
  `SQLServerException`

#### updateBigDecimal

    public void updateBigDecimal​(java.lang.String columnName,
                                 java.math.BigDecimal x,
                                 boolean forceEncrypt)
                          throws SQLServerException

Description copied from interface: `ISQLServerResultSet`
Updates the designated column with a `java.sql.BigDecimal` value. The updater methods are used to update column values in the current row or the insert row. The updater methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database.

Specified by:
  `updateBigDecimal` in interface `ISQLServerResultSet`
Parameters:
  `columnName` - is the name of the column
  `x` - the new column value
  `forceEncrypt` - If the boolean forceEncrypt is set to true, the query parameter will only be set if the designation column is encrypted and Always Encrypted is enabled on the connection or on the statement. If the boolean forceEncrypt is set to false, the driver will not force encryption on parameters.
Throws:
  `SQLServerException` - If any errors occur.

#### updateBigDecimal

    public void updateBigDecimal​(java.lang.String columnName,
                                 java.math.BigDecimal x,
                                 java.lang.Integer precision,
                                 java.lang.Integer scale)
                          throws SQLServerException

Description copied from interface: `ISQLServerResultSet`
Updates the designated column with a `java.sql.BigDecimal` value. The updater methods are used to update column values in the current row or the insert row. The updater methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database.

Specified by:
  `updateBigDecimal` in interface `ISQLServerResultSet`
Parameters:
  `columnName` - is the name of the column and Always Encrypted is enabled on the connection or on the statement. If the boolean forceEncrypt is set to false, the driver will not force encryption on parameters.
  `x` - BigDecimal value
  `precision` - the precision of the column
  `scale` - the scale of the column
Throws:
  `SQLServerException` - If any errors occur.

#### updateBigDecimal

    public void updateBigDecimal​(java.lang.String columnName,
                                 java.math.BigDecimal x,
                                 java.lang.Integer precision,
                                 java.lang.Integer scale,
                                 boolean forceEncrypt)
                          throws SQLServerException

Description copied from interface: `ISQLServerResultSet`
Updates the designated column with a `java.sql.BigDecimal` value. The updater methods are used to update column values in the current row or the insert row. The updater methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database.

Specified by:
  `updateBigDecimal` in interface `ISQLServerResultSet`
Parameters:
  `columnName` - is the name of the column and Always Encrypted is enabled on the connection or on the statement. If the boolean forceEncrypt is set to false, the driver will not force encryption on parameters.
  `x` - BigDecimal value
  `precision` - the precision of the column
  `scale` - the scale of the column
  `forceEncrypt` - If the boolean forceEncrypt is set to true, the query parameter will only be set if the designation column is encrypted and Always Encrypted is enabled on the connection or on the statement. If the boolean forceEncrypt is set to false, the driver will not force encryption on parameters.
Throws:
  `SQLServerException` - If any errors occur.

#### updateString

    public void updateString​(java.lang.String columnName,
                             java.lang.String x)
                      throws SQLServerException

Specified by:
  `updateString` in interface `java.sql.ResultSet`
Throws:
  `SQLServerException`

#### updateString

    public void updateString​(java.lang.String columnName,
                             java.lang.String x,
                             boolean forceEncrypt)
                      throws SQLServerException

Description copied from interface: `ISQLServerResultSet`
Updates the designated column with a `String` value. The updater methods are used to update column values in the current row or the insert row. The updater methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database.

Specified by:
  `updateString` in interface `ISQLServerResultSet`
Parameters:
  `columnName` - is the name of the column
  `x` - the new column value
  `forceEncrypt` - If the boolean forceEncrypt is set to true, the query parameter will only be set if the designation column is encrypted and Always Encrypted is enabled on the connection or on the statement. If the boolean forceEncrypt is set to false, the driver will not force encryption on parameters.
Throws:
  `SQLServerException` - If any errors occur.

#### updateBytes

    public void updateBytes​(java.lang.String columnName,
                            byte[] x)
                     throws SQLServerException

Specified by:
  `updateBytes` in interface `java.sql.ResultSet`
Throws:
  `SQLServerException`

#### updateBytes

    public void updateBytes​(java.lang.String columnName,
                            byte[] x,
                            boolean forceEncrypt)
                     throws SQLServerException

Description copied from interface: `ISQLServerResultSet`
Updates the designated column with a byte array value. The updater methods are used to update column values in the current row or the insert row. The updater methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database.

Specified by:
  `updateBytes` in interface `ISQLServerResultSet`
Parameters:
  `columnName` - is the name of the column
  `x` - the new column value
  `forceEncrypt` - If the boolean forceEncrypt is set to true, the query parameter will only be set if the designation column is encrypted and Always Encrypted is enabled on the connection or on the statement. If the boolean forceEncrypt is set to false, the driver will not force encryption on parameters.
Throws:
  `SQLServerException` - If any errors occur.

#### updateDate

    public void updateDate​(java.lang.String columnName,
                           java.sql.Date x)
                    throws SQLServerException

Specified by:
  `updateDate` in interface `java.sql.ResultSet`
Throws:
  `SQLServerException`

#### updateDate

    public void updateDate​(java.lang.String columnName,
                           java.sql.Date x,
                           boolean forceEncrypt)
                    throws SQLServerException

Description copied from interface: `ISQLServerResultSet`
Updates the designated column with a `java.sql.Date` value. The updater methods are used to update column values in the current row or the insert row. The updater methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database.

Specified by:
  `updateDate` in interface `ISQLServerResultSet`
Parameters:
  `columnName` - is the name of the column
  `x` - the new column value
  `forceEncrypt` - If the boolean forceEncrypt is set to true, the query parameter will only be set if the designation column is encrypted and Always Encrypted is enabled on the connection or on the statement. If the boolean forceEncrypt is set to false, the driver will not force encryption on parameters.
Throws:
  `SQLServerException` - If any errors occur.

#### updateTime

    public void updateTime​(java.lang.String columnName,
                           java.sql.Time x)
                    throws SQLServerException

Specified by:
  `updateTime` in interface `java.sql.ResultSet`
Throws:
  `SQLServerException`

#### updateTime

    public void updateTime​(java.lang.String columnName,
                           java.sql.Time x,
                           int scale)
                    throws SQLServerException

Description copied from interface: `ISQLServerResultSet`
Updates the designated column with a `java.sql.Time` value. The updater methods are used to update column values in the current row or the insert row. The updater methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database.

Specified by:
  `updateTime` in interface `ISQLServerResultSet`
Parameters:
  `columnName` - is the name of the column
  `x` - the new column value
  `scale` - the scale of the column
Throws:
  `SQLServerException` - If any errors occur.

#### updateTime

    public void updateTime​(java.lang.String columnName,
                           java.sql.Time x,
                           int scale,
                           boolean forceEncrypt)
                    throws SQLServerException

Description copied from interface: `ISQLServerResultSet`
Updates the designated column with a `java.sql.Time` value. The updater methods are used to update column values in the current row or the insert row. The updater methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database.

Specified by:
  `updateTime` in interface `ISQLServerResultSet`
Parameters:
  `columnName` - is the name of the column
  `x` - the new column value
  `scale` - the scale of the column
  `forceEncrypt` - If the boolean forceEncrypt is set to true, the query parameter will only be set if the designation column is encrypted and Always Encrypted is enabled on the connection or on the statement. If the boolean forceEncrypt is set to false, the driver will not force encryption on parameters.
Throws:
  `SQLServerException` - If any errors occur.

#### updateTimestamp

    public void updateTimestamp​(java.lang.String columnName,
                                java.sql.Timestamp x)
                         throws SQLServerException

Specified by:
  `updateTimestamp` in interface `java.sql.ResultSet`
Throws:
  `SQLServerException`

#### updateTimestamp

    public void updateTimestamp​(java.lang.String columnName,
                                java.sql.Timestamp x,
                                int scale)
                         throws SQLServerException

Description copied from interface: `ISQLServerResultSet`
Updates the designated column with a `java.sql.Timestamp` value. The updater methods are used to update column values in the current row or the insert row. The updater methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database.

Specified by:
  `updateTimestamp` in interface `ISQLServerResultSet`
Parameters:
  `columnName` - is the name of the column
  `x` - the new column value
  `scale` - the scale of the column
Throws:
  `SQLServerException` - If any errors occur.

#### updateTimestamp

    public void updateTimestamp​(java.lang.String columnName,
                                java.sql.Timestamp x,
                                int scale,
                                boolean forceEncrypt)
                         throws SQLServerException

Description copied from interface: `ISQLServerResultSet`
Updates the designated column with a `java.sql.Timestamp` value. The updater methods are used to update column values in the current row or the insert row. The updater methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database.

Specified by:
  `updateTimestamp` in interface `ISQLServerResultSet`
Parameters:
  `columnName` - is the name of the column
  `x` - the new column value
  `scale` - the scale of the column
  `forceEncrypt` - If the boolean forceEncrypt is set to true, the query parameter will only be set if the designation column is encrypted and Always Encrypted is enabled on the connection or on the statement. If the boolean forceEncrypt is set to false, the driver will not force encryption on parameters.
Throws:
  `SQLServerException` - If any errors occur.

#### updateDateTime

    public void updateDateTime​(java.lang.String columnName,
                               java.sql.Timestamp x)
                        throws SQLServerException

Description copied from interface: `ISQLServerResultSet`
Updates the designated column with a `java.sql.Timestamp` value. The updater methods are used to update column values in the current row or the insert row. The updater methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database.

Specified by:
  `updateDateTime` in interface `ISQLServerResultSet`
Parameters:
  `columnName` - is the name of the column
  `x` - the new column value
Throws:
  `SQLServerException` - If any errors occur.

#### updateDateTime

    public void updateDateTime​(java.lang.String columnName,
                               java.sql.Timestamp x,
                               int scale)
                        throws SQLServerException

Description copied from interface: `ISQLServerResultSet`
Updates the designated column with a `java.sql.Timestamp` value. The updater methods are used to update column values in the current row or the insert row. The updater methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database.

Specified by:
  `updateDateTime` in interface `ISQLServerResultSet`
Parameters:
  `columnName` - is the name of the column
  `x` - the new column value
  `scale` - the scale of the column
Throws:
  `SQLServerException` - If any errors occur.

#### updateDateTime

    public void updateDateTime​(java.lang.String columnName,
                               java.sql.Timestamp x,
                               int scale,
                               boolean forceEncrypt)
                        throws SQLServerException

Description copied from interface: `ISQLServerResultSet`
Updates the designated column with a `java.sql.Timestamp` value. The updater methods are used to update column values in the current row or the insert row. The updater methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database.

Specified by:
  `updateDateTime` in interface `ISQLServerResultSet`
Parameters:
  `columnName` - is the name of the column
  `x` - the new column value
  `scale` - the scale of the column
  `forceEncrypt` - If the boolean forceEncrypt is set to true, the query parameter will only be set if the designation column is encrypted and Always Encrypted is enabled on the connection or on the statement. If the boolean forceEncrypt is set to false, the driver will not force encryption on parameters.
Throws:
  `SQLServerException` - If any errors occur.

#### updateSmallDateTime

    public void updateSmallDateTime​(java.lang.String columnName,
                                    java.sql.Timestamp x)
                             throws SQLServerException

Description copied from interface: `ISQLServerResultSet`
Updates the designated column with a `java.sql.Timestamp` value. The updater methods are used to update column values in the current row or the insert row. The updater methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database.

Specified by:
  `updateSmallDateTime` in interface `ISQLServerResultSet`
Parameters:
  `columnName` - is the name of the column
  `x` - the new column value
Throws:
  `SQLServerException` - If any errors occur.

#### updateSmallDateTime

    public void updateSmallDateTime​(java.lang.String columnName,
                                    java.sql.Timestamp x,
                                    int scale)
                             throws SQLServerException

Description copied from interface: `ISQLServerResultSet`
Updates the designated column with a `java.sql.Timestamp` value. The updater methods are used to update column values in the current row or the insert row. The updater methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database.

Specified by:
  `updateSmallDateTime` in interface `ISQLServerResultSet`
Parameters:
  `columnName` - is the name of the column
  `x` - the new column value
  `scale` - the scale of the column
Throws:
  `SQLServerException` - If any errors occur.

#### updateSmallDateTime

    public void updateSmallDateTime​(java.lang.String columnName,
                                    java.sql.Timestamp x,
                                    int scale,
                                    boolean forceEncrypt)
                             throws SQLServerException

Description copied from interface: `ISQLServerResultSet`
Updates the designated column with a `java.sql.Timestamp` value. The updater methods are used to update column values in the current row or the insert row. The updater methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database.

Specified by:
  `updateSmallDateTime` in interface `ISQLServerResultSet`
Parameters:
  `columnName` - is the name of the column
  `x` - the new column value
  `scale` - the scale of the column
  `forceEncrypt` - If the boolean forceEncrypt is set to true, the query parameter will only be set if the designation column is encrypted and Always Encrypted is enabled on the connection or on the statement. If the boolean forceEncrypt is set to false, the driver will not force encryption on parameters.
Throws:
  `SQLServerException` - If any errors occur.

#### updateDateTimeOffset

    public void updateDateTimeOffset​(java.lang.String columnName,
                                     DateTimeOffset x)
                              throws SQLServerException

Description copied from interface: `ISQLServerResultSet`
Updates the value of the column specified to the DateTimeOffset Class value, given a column name.

Specified by:
  `updateDateTimeOffset` in interface `ISQLServerResultSet`
Parameters:
  `columnName` - The name of a column.
  `x` - A DateTimeOffset Class object.
Throws:
  `SQLServerException` - when an error occurs

#### updateDateTimeOffset

    public void updateDateTimeOffset​(java.lang.String columnName,
                                     DateTimeOffset x,
                                     int scale)
                              throws SQLServerException

Description copied from interface: `ISQLServerResultSet`
Updates the value of the column specified to the DateTimeOffset Class value, given a column name.

Specified by:
  `updateDateTimeOffset` in interface `ISQLServerResultSet`
Parameters:
  `columnName` - The name of a column.
  `x` - A DateTimeOffset Class object.
  `scale` - the scale of the column
Throws:
  `SQLServerException` - If any errors occur.

#### updateDateTimeOffset

    public void updateDateTimeOffset​(java.lang.String columnName,
                                     DateTimeOffset x,
                                     int scale,
                                     boolean forceEncrypt)
                              throws SQLServerException

Description copied from interface: `ISQLServerResultSet`
Updates the value of the column specified to the DateTimeOffset Class value, given a column name.

Specified by:
  `updateDateTimeOffset` in interface `ISQLServerResultSet`
Parameters:
  `columnName` - The name of a column.
  `x` - A DateTimeOffset Class object.
  `scale` - the scale of the column
  `forceEncrypt` - If the boolean forceEncrypt is set to true, the query parameter will only be set if the designation column is encrypted and Always Encrypted is enabled on the connection or on the statement. If the boolean forceEncrypt is set to false, the driver will not force encryption on parameters.
Throws:
  `SQLServerException` - If any errors occur.

#### updateUniqueIdentifier

    public void updateUniqueIdentifier​(java.lang.String columnName,
                                       java.lang.String x)
                                throws SQLServerException

Description copied from interface: `ISQLServerResultSet`
Updates the designated column with a `String`value. The updater methods are used to update column values in the current row or the insert row. The updater methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database.

Specified by:
  `updateUniqueIdentifier` in interface `ISQLServerResultSet`
Parameters:
  `columnName` - The name of a column.
  `x` - the new column value
Throws:
  `SQLServerException` - If any errors occur.

#### updateUniqueIdentifier

    public void updateUniqueIdentifier​(java.lang.String columnName,
                                       java.lang.String x,
                                       boolean forceEncrypt)
                                throws SQLServerException

Description copied from interface: `ISQLServerResultSet`
Updates the designated column with a `String`value. The updater methods are used to update column values in the current row or the insert row. The updater methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database.

Specified by:
  `updateUniqueIdentifier` in interface `ISQLServerResultSet`
Parameters:
  `columnName` - The name of a column.
  `x` - the new column value
  `forceEncrypt` - If the boolean forceEncrypt is set to true, the query parameter will only be set if the designation column is encrypted and Always Encrypted is enabled on the connection or on the statement. If the boolean forceEncrypt is set to false, the driver will not force encryption on parameters.
Throws:
  `SQLServerException` - If any errors occur.

#### updateObject

    public void updateObject​(java.lang.String columnName,
                             java.lang.Object x,
                             int scale)
                      throws SQLServerException

Specified by:
  `updateObject` in interface `java.sql.ResultSet`
Throws:
  `SQLServerException`

#### updateObject

    public void updateObject​(java.lang.String columnName,
                             java.lang.Object x,
                             int precision,
                             int scale)
                      throws SQLServerException

Description copied from interface: `ISQLServerResultSet`
Updates the designated column with an `Object` value. The updater methods are used to update column values in the current row or the insert row. The updater methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database.

Specified by:
  `updateObject` in interface `ISQLServerResultSet`
Parameters:
  `columnName` - The name of a column.
  `x` - the new column value
  `precision` - the precision of the column
  `scale` - the scale of the column
Throws:
  `SQLServerException` - If any errors occur.

#### updateObject

    public void updateObject​(java.lang.String columnName,
                             java.lang.Object x,
                             int precision,
                             int scale,
                             boolean forceEncrypt)
                      throws SQLServerException

Description copied from interface: `ISQLServerResultSet`
Updates the designated column with an `Object` value. The updater methods are used to update column values in the current row or the insert row. The updater methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database.

Specified by:
  `updateObject` in interface `ISQLServerResultSet`
Parameters:
  `columnName` - The name of a column.
  `x` - the new column value
  `precision` - the precision of the column
  `scale` - the scale of the column
  `forceEncrypt` - If the boolean forceEncrypt is set to true, the query parameter will only be set if the designation column is encrypted and Always Encrypted is enabled on the connection or on the statement. If the boolean forceEncrypt is set to false, the driver will not force encryption on parameters.
Throws:
  `SQLServerException` - If any errors occur.

#### updateObject

    public void updateObject​(java.lang.String columnName,
                             java.lang.Object x)
                      throws SQLServerException

Specified by:
  `updateObject` in interface `java.sql.ResultSet`
Throws:
  `SQLServerException`

#### updateRowId

    public void updateRowId​(int columnIndex,
                            java.sql.RowId x)
                     throws java.sql.SQLException

Specified by:
  `updateRowId` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateRowId

    public void updateRowId​(java.lang.String columnLabel,
                            java.sql.RowId x)
                     throws java.sql.SQLException

Specified by:
  `updateRowId` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateSQLXML

    public void updateSQLXML​(int columnIndex,
                             java.sql.SQLXML xmlObject)
                      throws java.sql.SQLException

Specified by:
  `updateSQLXML` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateSQLXML

    public void updateSQLXML​(java.lang.String columnLabel,
                             java.sql.SQLXML x)
                      throws java.sql.SQLException

Specified by:
  `updateSQLXML` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getHoldability

    public int getHoldability()
                       throws java.sql.SQLException

Specified by:
  `getHoldability` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### insertRow

    public void insertRow()
                   throws java.sql.SQLException

Specified by:
  `insertRow` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateRow

    public void updateRow()
                   throws java.sql.SQLException

Specified by:
  `updateRow` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### deleteRow

    public void deleteRow()
                   throws java.sql.SQLException

Specified by:
  `deleteRow` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### refreshRow

    public void refreshRow()
                    throws java.sql.SQLException

Specified by:
  `refreshRow` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### cancelRowUpdates

    public void cancelRowUpdates()
                          throws SQLServerException

Specified by:
  `cancelRowUpdates` in interface `java.sql.ResultSet`
Throws:
  `SQLServerException`

#### moveToInsertRow

    public void moveToInsertRow()
                         throws SQLServerException

Specified by:
  `moveToInsertRow` in interface `java.sql.ResultSet`
Throws:
  `SQLServerException`

#### moveToCurrentRow

    public void moveToCurrentRow()
                          throws SQLServerException

Specified by:
  `moveToCurrentRow` in interface `java.sql.ResultSet`
Throws:
  `SQLServerException`

#### getStatement

    public java.sql.Statement getStatement()
                                    throws SQLServerException

Specified by:
  `getStatement` in interface `java.sql.ResultSet`
Throws:
  `SQLServerException`

#### updateClob

    public void updateClob​(int columnIndex,
                           java.sql.Clob clobValue)
                    throws java.sql.SQLException

Specified by:
  `updateClob` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateClob

    public void updateClob​(int columnIndex,
                           java.io.Reader reader)
                    throws java.sql.SQLException

Specified by:
  `updateClob` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateClob

    public void updateClob​(int columnIndex,
                           java.io.Reader reader,
                           long length)
                    throws java.sql.SQLException

Specified by:
  `updateClob` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateClob

    public void updateClob​(java.lang.String columnName,
                           java.sql.Clob clobValue)
                    throws java.sql.SQLException

Specified by:
  `updateClob` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateClob

    public void updateClob​(java.lang.String columnLabel,
                           java.io.Reader reader)
                    throws java.sql.SQLException

Specified by:
  `updateClob` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateClob

    public void updateClob​(java.lang.String columnLabel,
                           java.io.Reader reader,
                           long length)
                    throws java.sql.SQLException

Specified by:
  `updateClob` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateNClob

    public void updateNClob​(int columnIndex,
                            java.sql.NClob nClob)
                     throws java.sql.SQLException

Specified by:
  `updateNClob` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateNClob

    public void updateNClob​(int columnIndex,
                            java.io.Reader reader)
                     throws java.sql.SQLException

Specified by:
  `updateNClob` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateNClob

    public void updateNClob​(int columnIndex,
                            java.io.Reader reader,
                            long length)
                     throws java.sql.SQLException

Specified by:
  `updateNClob` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateNClob

    public void updateNClob​(java.lang.String columnLabel,
                            java.sql.NClob nClob)
                     throws java.sql.SQLException

Specified by:
  `updateNClob` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateNClob

    public void updateNClob​(java.lang.String columnLabel,
                            java.io.Reader reader)
                     throws java.sql.SQLException

Specified by:
  `updateNClob` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateNClob

    public void updateNClob​(java.lang.String columnLabel,
                            java.io.Reader reader,
                            long length)
                     throws java.sql.SQLException

Specified by:
  `updateNClob` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateBlob

    public void updateBlob​(int columnIndex,
                           java.sql.Blob blobValue)
                    throws java.sql.SQLException

Specified by:
  `updateBlob` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateBlob

    public void updateBlob​(int columnIndex,
                           java.io.InputStream inputStream)
                    throws java.sql.SQLException

Specified by:
  `updateBlob` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateBlob

    public void updateBlob​(int columnIndex,
                           java.io.InputStream inputStream,
                           long length)
                    throws java.sql.SQLException

Specified by:
  `updateBlob` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateBlob

    public void updateBlob​(java.lang.String columnName,
                           java.sql.Blob blobValue)
                    throws java.sql.SQLException

Specified by:
  `updateBlob` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateBlob

    public void updateBlob​(java.lang.String columnLabel,
                           java.io.InputStream inputStream)
                    throws java.sql.SQLException

Specified by:
  `updateBlob` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateBlob

    public void updateBlob​(java.lang.String columnLabel,
                           java.io.InputStream inputStream,
                           long length)
                    throws java.sql.SQLException

Specified by:
  `updateBlob` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateArray

    public void updateArray​(int columnIndex,
                            java.sql.Array x)
                     throws java.sql.SQLException

Specified by:
  `updateArray` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateArray

    public void updateArray​(java.lang.String columnName,
                            java.sql.Array x)
                     throws java.sql.SQLException

Specified by:
  `updateArray` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateRef

    public void updateRef​(int columnIndex,
                          java.sql.Ref x)
                   throws java.sql.SQLException

Specified by:
  `updateRef` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateRef

    public void updateRef​(java.lang.String columnName,
                          java.sql.Ref x)
                   throws java.sql.SQLException

Specified by:
  `updateRef` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getURL

    public java.net.URL getURL​(int columnIndex)
                        throws java.sql.SQLException

Specified by:
  `getURL` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getURL

    public java.net.URL getURL​(java.lang.String sColumn)
                        throws java.sql.SQLException

Specified by:
  `getURL` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateObject

    public void updateObject​(int index,
                             java.lang.Object obj,
                             java.sql.SQLType targetSqlType)
                      throws SQLServerException

Specified by:
  `updateObject` in interface `java.sql.ResultSet`
Throws:
  `SQLServerException`

#### updateObject

    public void updateObject​(int index,
                             java.lang.Object obj,
                             java.sql.SQLType targetSqlType,
                             int scale)
                      throws SQLServerException

Specified by:
  `updateObject` in interface `java.sql.ResultSet`
Throws:
  `SQLServerException`

#### updateObject

    public void updateObject​(int index,
                             java.lang.Object obj,
                             java.sql.SQLType targetSqlType,
                             int scale,
                             boolean forceEncrypt)
                      throws SQLServerException

Description copied from interface: `ISQLServerResultSet`
Updates the designated column with an Object value. The updater methods are used to update column values in the current row or the insert row. The updater methods do not update the underlying database; instead the updateRow or insertRow methods are called to update the database. If the second argument is an InputStream then the stream must contain the number of bytes specified by scaleOrLength. If the second argument is a Reader then the reader must contain the number of characters specified by scaleOrLength. If these conditions are not true the driver will generate a SQLServerException when the statement is executed. The default implementation will throw SQLFeatureNotSupportedException

Specified by:
  `updateObject` in interface `ISQLServerResultSet`
Parameters:
  `index` - the first column is 1, the second is 2, ...
  `obj` - the new column value
  `targetSqlType` - the SQL type to be sent to the database
  `scale` - for an object of java.math.BigDecimal , this is the number of digits after the decimal point. For Java Object types InputStream and Reader, this is the length of the data in the stream or reader. For all other types, this value will be ignored.
  `forceEncrypt` - If the boolean forceEncrypt is set to true, the query parameter will only be set if the designation column is encrypted and Always Encrypted is enabled on the connection or on the statement.If the boolean forceEncrypt is set to false, the driver will not force encryption on parameters.
Throws:
  `SQLServerException` - If any errors occur.

#### updateObject

    public void updateObject​(java.lang.String columnName,
                             java.lang.Object obj,
                             java.sql.SQLType targetSqlType,
                             int scale)
                      throws SQLServerException

Specified by:
  `updateObject` in interface `java.sql.ResultSet`
Throws:
  `SQLServerException`

#### updateObject

    public void updateObject​(java.lang.String columnName,
                             java.lang.Object obj,
                             java.sql.SQLType targetSqlType,
                             int scale,
                             boolean forceEncrypt)
                      throws SQLServerException

Description copied from interface: `ISQLServerResultSet`
Updates the designated column with an Object value. The updater methods are used to update column values in the current row or the insert row. The updater methods do not update the underlying database; instead the updateRow or insertRow methods are called to update the database. If the second argument is an InputStream then the stream must contain the number of bytes specified by scaleOrLength. If the second argument is a Reader then the reader must contain the number of characters specified by scaleOrLength. If these conditions are not true the driver will generate a SQLServerException when the statement is executed. The default implementation will throw SQLFeatureNotSupportedException.

Specified by:
  `updateObject` in interface `ISQLServerResultSet`
Parameters:
  `columnName` - the label for the column specified with the SQL AS clause. If the SQL AS clause was not specified, then the label is the name of the column
  `obj` - the new column value
  `targetSqlType` - the SQL type to be sent to the database
  `scale` - for an object of java.math.BigDecimal , this is the number of digits after the decimal point. For Java Object types InputStream and Reader, this is the length of the data in the stream or reader. For all other types, this value will be ignored.
  `forceEncrypt` - If the boolean forceEncrypt is set to true, the query parameter will only be set if the designation column is encrypted and Always Encrypted is enabled on the connection or on the statement.If the boolean forceEncrypt is set to false, the driver will not force encryption on parameters.
Throws:
  `SQLServerException` - If any errors occur.

#### updateObject

    public void updateObject​(java.lang.String columnName,
                             java.lang.Object obj,
                             java.sql.SQLType targetSqlType)
                      throws SQLServerException

Specified by:
  `updateObject` in interface `java.sql.ResultSet`
Throws:
  `SQLServerException`